{-# LANGUAGE MagicHash #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE Rank2Types #-}
{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-overlapping-patterns #-}
{-# OPTIONS_GHC -fno-warn-missing-methods #-}
#if __GLASGOW_HASKELL__ >= 800
{-# OPTIONS_GHC -fno-warn-redundant-constraints #-}
#else
{-# OPTIONS_GHC -fno-warn-duplicate-constraints #-}
#endif

module Curry_Distribution
  ( d_C_rcFileName
  , d_C_curryCompiler
  , d_C_curryCompilerMajorVersion
  , d_C_curryCompilerMinorVersion
  , d_C_curryCompilerRevisionVersion
  , d_C_curryRuntime
  , d_C_curryRuntimeMajorVersion
  , d_C_curryRuntimeMinorVersion
  , d_C_baseVersion
  , d_C_installDir )
  where

import Basics
import qualified Curry_Directory
import qualified Curry_FilePath
import qualified Curry_Prelude

import qualified Installation as I

d_C_rcFileName :: Cover -> ConstStore -> Curry_Prelude.C_IO
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C_rcFileName cd cs = let x1 = Curry_Prelude.OP_Cons (Curry_Prelude.C_Char
                             '.'#) (Curry_Prelude.d_OP_plus_plus
                             (d_C_curryCompiler cd cs)
                             (Curry_Prelude.toCurryString "rc") cd cs)
  in Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Directory.d_C_getHomeDirectory cd cs) (Curry_Prelude.d_OP_dot
  Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Prelude.d_C_flip (Curry_FilePath.d_OP_lt_slash_gt cd cs) x1) cd cs) cd
  cs

d_C_curryCompiler :: Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C_curryCompiler cd cs = external_d_C_curryCompiler cd cs

d_C_curryCompilerMajorVersion :: Cover -> ConstStore -> Curry_Prelude.C_Int
d_C_curryCompilerMajorVersion cd cs = external_d_C_curryCompilerMajorVersion cd
  cs

d_C_curryCompilerMinorVersion :: Cover -> ConstStore -> Curry_Prelude.C_Int
d_C_curryCompilerMinorVersion cd cs = external_d_C_curryCompilerMinorVersion cd
  cs

d_C_curryCompilerRevisionVersion :: Cover -> ConstStore -> Curry_Prelude.C_Int
d_C_curryCompilerRevisionVersion cd cs =
  external_d_C_curryCompilerRevisionVersion cd cs

d_C_curryRuntime :: Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C_curryRuntime cd cs = external_d_C_curryRuntime cd cs

d_C_curryRuntimeMajorVersion :: Cover -> ConstStore -> Curry_Prelude.C_Int
d_C_curryRuntimeMajorVersion cd cs = external_d_C_curryRuntimeMajorVersion cd cs

d_C_curryRuntimeMinorVersion :: Cover -> ConstStore -> Curry_Prelude.C_Int
d_C_curryRuntimeMinorVersion cd cs = external_d_C_curryRuntimeMinorVersion cd cs

d_C_baseVersion :: Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C_baseVersion cd cs = external_d_C_baseVersion cd cs

d_C_installDir :: Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C_installDir cd cs = external_d_C_installDir cd cs

external_d_C_curryCompiler :: Cover -> ConstStore -> Curry_Prelude.C_String
external_d_C_curryCompiler _ _ = toCurry I.compilerName

external_d_C_curryCompilerMajorVersion ::  Cover -> ConstStore -> Curry_Prelude.C_Int
external_d_C_curryCompilerMajorVersion _ _ = toCurry I.majorVersion

external_d_C_curryCompilerMinorVersion ::  Cover -> ConstStore -> Curry_Prelude.C_Int
external_d_C_curryCompilerMinorVersion _ _ = toCurry I.minorVersion

external_d_C_curryCompilerRevisionVersion ::  Cover -> ConstStore -> Curry_Prelude.C_Int
external_d_C_curryCompilerRevisionVersion _ _ = toCurry I.revisionVersion

external_d_C_curryRuntime ::  Cover -> ConstStore -> Curry_Prelude.C_String
external_d_C_curryRuntime _ _ = toCurry I.runtime

external_d_C_curryRuntimeMajorVersion ::  Cover -> ConstStore -> Curry_Prelude.C_Int
external_d_C_curryRuntimeMajorVersion _ _ = toCurry I.runtimeMajor

external_d_C_curryRuntimeMinorVersion ::  Cover -> ConstStore -> Curry_Prelude.C_Int
external_d_C_curryRuntimeMinorVersion _ _ = toCurry I.runtimeMinor

external_d_C_baseVersion ::  Cover -> ConstStore -> Curry_Prelude.C_String
external_d_C_baseVersion _ _ = toCurry I.baseVersion

external_d_C_installDir ::  Cover -> ConstStore -> Curry_Prelude.C_String
external_d_C_installDir _ _ = toCurry I.installDir
