{-# LANGUAGE MagicHash #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE Rank2Types #-}
{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-overlapping-patterns #-}
{-# OPTIONS_GHC -fno-warn-missing-methods #-}
#if __GLASGOW_HASKELL__ >= 800
{-# OPTIONS_GHC -fno-warn-redundant-constraints #-}
#else
{-# OPTIONS_GHC -fno-warn-duplicate-constraints #-}
#endif

module Curry_MissingImports ( d_C_fixMissingImports ) where

import Basics
import qualified Data.Curry_RedBlackTree
import qualified Data.Set.Curry_RBTree
import qualified FlatCurry.Annotated.Curry_Goodies
import qualified FlatCurry.Annotated.Curry_Types
import qualified FlatCurry.Curry_Types
import qualified Curry_Prelude
import qualified Curry_State


type C_ModuleName = Curry_Prelude.OP_List Curry_Prelude.C_Char

type C_MM t0 = Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple2 t0
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char))

d_C_fixMissingImports :: FlatCurry.Annotated.Curry_Types.C_AProg
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AProg FlatCurry.Curry_Types.C_TypeExpr
d_C_fixMissingImports x1 cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_AProg x2 x3 x4 x5 x6 -> let x7 = Curry_State.d_C_execState
                                                                  (d_C_vsProg x1
                                                                  cd cs)
                                                                  (Curry_Prelude.d_C_apply
                                                                  (Data.Set.Curry_RBTree.d_C_empty
                                                                  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lbracket_rbracket
                                                                  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char
                                                                  cd cs) cd cs)
                                                                  cd cs)
                                                                  (Curry_Prelude.d_OP_uscore_impl_hash_lt_hash_Prelude_dot_Ord_hash_lbracket_rbracket
                                                                  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Ord_hash_Prelude_dot_Char
                                                                  cd cs) cd cs)
                                                                  cd cs) cd cs
    in FlatCurry.Annotated.Curry_Types.C_AProg x2 (Curry_Prelude.d_OP_dollar
    (Data.Set.Curry_RBTree.d_C_toList cd cs) (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Data.Set.Curry_RBTree.d_C_delete cd cs) x2 cd cs)
    x7 cd cs) cd cs) x4 x5 x6
  FlatCurry.Annotated.Curry_Types.Choice_C_AProg d i l r -> narrow d i
    (d_C_fixMissingImports l cd cs) (d_C_fixMissingImports r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AProg d i xs -> narrows cs d i
    (\z -> d_C_fixMissingImports z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AProg d c e -> guardCons d c
    (d_C_fixMissingImports e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AProg d info -> failCons d (traceFail
    "MissingImports.fixMissingImports" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.fixMissingImports" (showCons x1))

d_C_addModule :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_addModule x1 cd cs = Curry_Prelude.d_OP_dollar (acceptCs id
  Curry_State.d_C_modifyS) (d_OP_addModule_dot_uscore_hash_lambda1 x1) cd cs

nd_C_addModule :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> IDSupply
  -> Cover -> ConstStore -> Func (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) (Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
nd_C_addModule x1 s cd cs = let s0 = s
  in s0 `seq` Curry_Prelude.nd_OP_dollar (wrapDX (wrapNX id) (acceptCs id
  Curry_State.nd_C_modifyS)) (wrapNX id (nd_OP_addModule_dot_uscore_hash_lambda1
  x1)) s0 cd cs

d_OP_addModule_dot_uscore_hash_lambda1 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover -> ConstStore
  -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
d_OP_addModule_dot_uscore_hash_lambda1 x1 x2 cd cs = Curry_Prelude.d_C_apply
  (Curry_Prelude.d_C_apply (Data.Set.Curry_RBTree.d_C_insert cd cs) x1 cd cs) x2
  cd cs

nd_OP_addModule_dot_uscore_hash_lambda1 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> IDSupply -> Cover
  -> ConstStore -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)
nd_OP_addModule_dot_uscore_hash_lambda1 x1 x2 s cd cs = let s4 = s
  in s4 `seq` (let s3 = leftSupply s4
                   s2 = rightSupply s4
  in s3 `seq` (s2 `seq` Curry_Prelude.nd_C_apply (let s1 = leftSupply s2
                                                      s0 = rightSupply s2
  in s1 `seq` (s0 `seq` Curry_Prelude.nd_C_apply
  (Data.Set.Curry_RBTree.nd_C_insert s0 cd cs) x1 s1 cd cs)) x2 s3 cd cs))

d_C_vsProg :: FlatCurry.Annotated.Curry_Types.C_AProg
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_vsProg x1 cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_AProg x2 x3 x4 x5 x6 -> Curry_State.d_C_bindS_
    (Curry_Prelude.d_C_apply (Curry_State.d_C_mapS_ d_C_addModule cd cs) x3 cd
    cs) (Curry_Prelude.d_C_apply (Curry_State.d_C_mapS_ d_C_vsFuncDecl cd cs) x5
    cd cs) cd cs
  FlatCurry.Annotated.Curry_Types.Choice_C_AProg d i l r -> narrow d i
    (d_C_vsProg l cd cs) (d_C_vsProg r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AProg d i xs -> narrows cs d i
    (\z -> d_C_vsProg z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AProg d c e -> guardCons d c
    (d_C_vsProg e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AProg d info -> failCons d (traceFail
    "MissingImports.vsProg" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsProg" (showCons x1))

nd_C_vsProg :: FlatCurry.Annotated.Curry_Types.C_AProg
  FlatCurry.Curry_Types.C_TypeExpr -> IDSupply -> Cover -> ConstStore -> Func
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)) (Curry_Prelude.OP_Tuple2 Curry_Prelude.OP_Unit
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)))
nd_C_vsProg x1 s cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_AProg x2 x3 x4 x5 x6 -> let s7 = s
    in s7 `seq` (let s6 = leftSupply s7
                     s8 = rightSupply s7
                     s2 = leftSupply s8
                     s5 = rightSupply s8
    in s6 `seq` (s8 `seq` (s2 `seq` (s5 `seq` Curry_State.nd_C_bindS_
    (let s1 = leftSupply s2
         s0 = rightSupply s2
    in s1 `seq` (s0 `seq` Curry_Prelude.nd_C_apply (Curry_State.nd_C_mapS_
    (wrapNX id nd_C_addModule) s0 cd cs) x3 s1 cd cs)) (let s4 = leftSupply s5
                                                            s3 = rightSupply s5
    in s4 `seq` (s3 `seq` Curry_Prelude.nd_C_apply (Curry_State.nd_C_mapS_
    (wrapNX id nd_C_vsFuncDecl) s3 cd cs) x5 s4 cd cs)) s6 cd cs))))
  FlatCurry.Annotated.Curry_Types.Choice_C_AProg d i l r -> narrow d i
    (nd_C_vsProg l s cd cs) (nd_C_vsProg r s cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AProg d i xs -> narrows cs d i
    (\z -> nd_C_vsProg z s cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AProg d c e -> guardCons d c
    (nd_C_vsProg e s cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AProg d info -> failCons d (traceFail
    "MissingImports.vsProg" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsProg" (showCons x1))

d_C_vsFuncDecl :: FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_vsFuncDecl x1 cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_AFunc x2 x3 x4 x5 x6 -> Curry_State.d_C_bindS_
    (d_C_vsTypeExpr x5 cd cs) (d_C_vsRule x6 cd cs) cd cs
  FlatCurry.Annotated.Curry_Types.Choice_C_AFuncDecl d i l r -> narrow d i
    (d_C_vsFuncDecl l cd cs) (d_C_vsFuncDecl r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AFuncDecl d i xs -> narrows cs d i
    (\z -> d_C_vsFuncDecl z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AFuncDecl d c e -> guardCons d c
    (d_C_vsFuncDecl e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AFuncDecl d info -> failCons d
    (traceFail "MissingImports.vsFuncDecl" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsFuncDecl" (showCons x1))

nd_C_vsFuncDecl :: FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr -> IDSupply -> Cover -> ConstStore -> Func
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)) (Curry_Prelude.OP_Tuple2 Curry_Prelude.OP_Unit
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)))
nd_C_vsFuncDecl x1 s cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_AFunc x2 x3 x4 x5 x6 -> let s3 = s
    in s3 `seq` (let s2 = leftSupply s3
                     s4 = rightSupply s3
                     s0 = leftSupply s4
                     s1 = rightSupply s4
    in s2 `seq` (s4 `seq` (s0 `seq` (s1 `seq` Curry_State.nd_C_bindS_
    (nd_C_vsTypeExpr x5 s0 cd cs) (nd_C_vsRule x6 s1 cd cs) s2 cd cs))))
  FlatCurry.Annotated.Curry_Types.Choice_C_AFuncDecl d i l r -> narrow d i
    (nd_C_vsFuncDecl l s cd cs) (nd_C_vsFuncDecl r s cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AFuncDecl d i xs -> narrows cs d i
    (\z -> nd_C_vsFuncDecl z s cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AFuncDecl d c e -> guardCons d c
    (nd_C_vsFuncDecl e s cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AFuncDecl d info -> failCons d
    (traceFail "MissingImports.vsFuncDecl" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsFuncDecl" (showCons x1))

d_C_vsTypeExpr :: FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_vsTypeExpr x1 cd cs = case x1 of
  FlatCurry.Curry_Types.C_TVar x2 -> Curry_State.d_C_returnS
    Curry_Prelude.OP_Unit
  FlatCurry.Curry_Types.C_FuncType x3 x4 -> Curry_State.d_C_bindS_
    (d_C_vsTypeExpr x3 cd cs) (d_C_vsTypeExpr x4 cd cs) cd cs
  FlatCurry.Curry_Types.C_TCons x5 x6 -> d_C__case_0 x6 x5 cd cs
  FlatCurry.Curry_Types.C_ForallType x9 x10 -> d_C_vsTypeExpr x10 cd cs
  FlatCurry.Curry_Types.Choice_C_TypeExpr d i l r -> narrow d i (d_C_vsTypeExpr
    l cd cs) (d_C_vsTypeExpr r cd cs)
  FlatCurry.Curry_Types.Choices_C_TypeExpr d i xs -> narrows cs d i (\z ->
    d_C_vsTypeExpr z cd cs) xs
  FlatCurry.Curry_Types.Guard_C_TypeExpr d c e -> guardCons d c (d_C_vsTypeExpr
    e cd $! addCs c cs)
  FlatCurry.Curry_Types.Fail_C_TypeExpr d info -> failCons d (traceFail
    "MissingImports.vsTypeExpr" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsTypeExpr" (showCons x1))

nd_C_vsTypeExpr :: FlatCurry.Curry_Types.C_TypeExpr -> IDSupply -> Cover
  -> ConstStore -> Func (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) (Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
nd_C_vsTypeExpr x1 s cd cs = case x1 of
  FlatCurry.Curry_Types.C_TVar x2 -> wrapDX id (Curry_State.d_C_returnS
    Curry_Prelude.OP_Unit)
  FlatCurry.Curry_Types.C_FuncType x3 x4 -> let s3 = s
    in s3 `seq` (let s2 = leftSupply s3
                     s4 = rightSupply s3
                     s0 = leftSupply s4
                     s1 = rightSupply s4
    in s2 `seq` (s4 `seq` (s0 `seq` (s1 `seq` Curry_State.nd_C_bindS_
    (nd_C_vsTypeExpr x3 s0 cd cs) (nd_C_vsTypeExpr x4 s1 cd cs) s2 cd cs))))
  FlatCurry.Curry_Types.C_TCons x5 x6 -> let s0 = s
    in s0 `seq` nd_C__case_0 x6 x5 s0 cd cs
  FlatCurry.Curry_Types.C_ForallType x9 x10 -> let s0 = s
    in s0 `seq` nd_C_vsTypeExpr x10 s0 cd cs
  FlatCurry.Curry_Types.Choice_C_TypeExpr d i l r -> narrow d i (nd_C_vsTypeExpr
    l s cd cs) (nd_C_vsTypeExpr r s cd cs)
  FlatCurry.Curry_Types.Choices_C_TypeExpr d i xs -> narrows cs d i (\z ->
    nd_C_vsTypeExpr z s cd cs) xs
  FlatCurry.Curry_Types.Guard_C_TypeExpr d c e -> guardCons d c (nd_C_vsTypeExpr
    e s cd $! addCs c cs)
  FlatCurry.Curry_Types.Fail_C_TypeExpr d info -> failCons d (traceFail
    "MissingImports.vsTypeExpr" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsTypeExpr" (showCons x1))

d_C_vsRule :: FlatCurry.Annotated.Curry_Types.C_ARule
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_vsRule x1 cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_ARule x2 x3 x4 -> d_C_vsExpr x4 cd cs
  FlatCurry.Annotated.Curry_Types.C_AExternal x5 x6 -> Curry_State.d_C_returnS
    Curry_Prelude.OP_Unit
  FlatCurry.Annotated.Curry_Types.Choice_C_ARule d i l r -> narrow d i
    (d_C_vsRule l cd cs) (d_C_vsRule r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_ARule d i xs -> narrows cs d i
    (\z -> d_C_vsRule z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_ARule d c e -> guardCons d c
    (d_C_vsRule e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_ARule d info -> failCons d (traceFail
    "MissingImports.vsRule" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsRule" (showCons x1))

nd_C_vsRule :: FlatCurry.Annotated.Curry_Types.C_ARule
  FlatCurry.Curry_Types.C_TypeExpr -> IDSupply -> Cover -> ConstStore -> Func
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)) (Curry_Prelude.OP_Tuple2 Curry_Prelude.OP_Unit
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)))
nd_C_vsRule x1 s cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_ARule x2 x3 x4 -> let s0 = s
    in s0 `seq` nd_C_vsExpr x4 s0 cd cs
  FlatCurry.Annotated.Curry_Types.C_AExternal x5 x6 -> wrapDX id
    (Curry_State.d_C_returnS Curry_Prelude.OP_Unit)
  FlatCurry.Annotated.Curry_Types.Choice_C_ARule d i l r -> narrow d i
    (nd_C_vsRule l s cd cs) (nd_C_vsRule r s cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_ARule d i xs -> narrows cs d i
    (\z -> nd_C_vsRule z s cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_ARule d c e -> guardCons d c
    (nd_C_vsRule e s cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_ARule d info -> failCons d (traceFail
    "MissingImports.vsRule" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsRule" (showCons x1))

d_C_vsExpr :: FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_vsExpr x1 cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_AVar x2 x3 -> Curry_State.d_C_returnS
    Curry_Prelude.OP_Unit
  FlatCurry.Annotated.Curry_Types.C_ALit x4 x5 -> Curry_State.d_C_returnS
    Curry_Prelude.OP_Unit
  FlatCurry.Annotated.Curry_Types.C_AComb x6 x7 x8 x9 -> Curry_Prelude.d_C_apply
    (Curry_State.d_C_mapS_ d_C_vsExpr cd cs) x9 cd cs
  FlatCurry.Annotated.Curry_Types.C_ALet x10 x11 x12 -> Curry_State.d_C_bindS_
    (Curry_Prelude.d_C_apply (Curry_State.d_C_mapS_ (Curry_Prelude.d_OP_dot
    d_C_vsExpr Curry_Prelude.d_C_snd cd cs) cd cs) x11 cd cs) (d_C_vsExpr x12 cd
    cs) cd cs
  FlatCurry.Annotated.Curry_Types.C_AFree x13 x14 x15 -> d_C_vsExpr x15 cd cs
  FlatCurry.Annotated.Curry_Types.C_AOr x16 x17 x18 -> Curry_State.d_C_bindS_
    (d_C_vsExpr x17 cd cs) (d_C_vsExpr x18 cd cs) cd cs
  FlatCurry.Annotated.Curry_Types.C_ACase x19 x20 x21 x22 -> Curry_State.d_C_bindS_
    (d_C_vsExpr x21 cd cs) (Curry_Prelude.d_C_apply (Curry_State.d_C_mapS_
    (Curry_Prelude.d_OP_dot d_C_vsExpr
    (FlatCurry.Annotated.Curry_Goodies.d_C_branchExpr cd cs) cd cs) cd cs) x22
    cd cs) cd cs
  FlatCurry.Annotated.Curry_Types.C_ATyped x23 x24 x25 -> Curry_State.d_C_bindS_
    (d_C_vsExpr x24 cd cs) (d_C_vsTypeExpr x25 cd cs) cd cs
  FlatCurry.Annotated.Curry_Types.Choice_C_AExpr d i l r -> narrow d i
    (d_C_vsExpr l cd cs) (d_C_vsExpr r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AExpr d i xs -> narrows cs d i
    (\z -> d_C_vsExpr z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AExpr d c e -> guardCons d c
    (d_C_vsExpr e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AExpr d info -> failCons d (traceFail
    "MissingImports.vsExpr" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsExpr" (showCons x1))

nd_C_vsExpr :: FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> IDSupply -> Cover -> ConstStore -> Func
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)) (Curry_Prelude.OP_Tuple2 Curry_Prelude.OP_Unit
  (Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)))
nd_C_vsExpr x1 s cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_AVar x2 x3 -> wrapDX id
    (Curry_State.d_C_returnS Curry_Prelude.OP_Unit)
  FlatCurry.Annotated.Curry_Types.C_ALit x4 x5 -> wrapDX id
    (Curry_State.d_C_returnS Curry_Prelude.OP_Unit)
  FlatCurry.Annotated.Curry_Types.C_AComb x6 x7 x8 x9 -> let s2 = s
    in s2 `seq` (let s1 = leftSupply s2
                     s0 = rightSupply s2
    in s1 `seq` (s0 `seq` Curry_Prelude.nd_C_apply (Curry_State.nd_C_mapS_
    (wrapNX id nd_C_vsExpr) s0 cd cs) x9 s1 cd cs))
  FlatCurry.Annotated.Curry_Types.C_ALet x10 x11 x12 -> let s7 = s
    in s7 `seq` (let s6 = leftSupply s7
                     s8 = rightSupply s7
                     s4 = leftSupply s8
                     s5 = rightSupply s8
    in s6 `seq` (s8 `seq` (s4 `seq` (s5 `seq` Curry_State.nd_C_bindS_
    (let s3 = leftSupply s4
         s2 = rightSupply s4
    in s3 `seq` (s2 `seq` Curry_Prelude.nd_C_apply (let s1 = leftSupply s2
                                                        s0 = rightSupply s2
    in s1 `seq` (s0 `seq` Curry_State.nd_C_mapS_ (Curry_Prelude.nd_OP_dot
    (wrapNX id nd_C_vsExpr) (wrapDX id Curry_Prelude.d_C_snd) s0 cd cs) s1 cd
    cs)) x11 s3 cd cs)) (nd_C_vsExpr x12 s5 cd cs) s6 cd cs))))
  FlatCurry.Annotated.Curry_Types.C_AFree x13 x14 x15 -> let s0 = s
    in s0 `seq` nd_C_vsExpr x15 s0 cd cs
  FlatCurry.Annotated.Curry_Types.C_AOr x16 x17 x18 -> let s3 = s
    in s3 `seq` (let s2 = leftSupply s3
                     s4 = rightSupply s3
                     s0 = leftSupply s4
                     s1 = rightSupply s4
    in s2 `seq` (s4 `seq` (s0 `seq` (s1 `seq` Curry_State.nd_C_bindS_
    (nd_C_vsExpr x17 s0 cd cs) (nd_C_vsExpr x18 s1 cd cs) s2 cd cs))))
  FlatCurry.Annotated.Curry_Types.C_ACase x19 x20 x21 x22 -> let s7 = s
    in s7 `seq` (let s6 = leftSupply s7
                     s8 = rightSupply s7
                     s0 = leftSupply s8
                     s5 = rightSupply s8
    in s6 `seq` (s8 `seq` (s0 `seq` (s5 `seq` Curry_State.nd_C_bindS_
    (nd_C_vsExpr x21 s0 cd cs) (let s4 = leftSupply s5
                                    s3 = rightSupply s5
    in s4 `seq` (s3 `seq` Curry_Prelude.nd_C_apply (let s2 = leftSupply s3
                                                        s1 = rightSupply s3
    in s2 `seq` (s1 `seq` Curry_State.nd_C_mapS_ (Curry_Prelude.nd_OP_dot
    (wrapNX id nd_C_vsExpr) (wrapDX id
    (FlatCurry.Annotated.Curry_Goodies.d_C_branchExpr cd cs)) s1 cd cs) s2 cd
    cs)) x22 s4 cd cs)) s6 cd cs))))
  FlatCurry.Annotated.Curry_Types.C_ATyped x23 x24 x25 -> let s3 = s
    in s3 `seq` (let s2 = leftSupply s3
                     s4 = rightSupply s3
                     s0 = leftSupply s4
                     s1 = rightSupply s4
    in s2 `seq` (s4 `seq` (s0 `seq` (s1 `seq` Curry_State.nd_C_bindS_
    (nd_C_vsExpr x24 s0 cd cs) (nd_C_vsTypeExpr x25 s1 cd cs) s2 cd cs))))
  FlatCurry.Annotated.Curry_Types.Choice_C_AExpr d i l r -> narrow d i
    (nd_C_vsExpr l s cd cs) (nd_C_vsExpr r s cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AExpr d i xs -> narrows cs d i
    (\z -> nd_C_vsExpr z s cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AExpr d c e -> guardCons d c
    (nd_C_vsExpr e s cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AExpr d info -> failCons d (traceFail
    "MissingImports.vsExpr" [show x1] info)
  _ -> failCons cd (consFail "MissingImports.vsExpr" (showCons x1))

d_C__case_0 :: Curry_Prelude.OP_List FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover -> ConstStore
  -> Data.Curry_RedBlackTree.C_RedBlackTree (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C__case_0 x6 x5 cd cs = case x5 of
  Curry_Prelude.OP_Tuple2 x7 x8 -> Curry_State.d_C_bindS_ (d_C_addModule x7 cd
    cs) (Curry_Prelude.d_C_apply (Curry_State.d_C_mapS_ d_C_vsTypeExpr cd cs) x6
    cd cs) cd cs
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i (d_C__case_0 x6 l cd cs)
    (d_C__case_0 x6 r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z -> d_C__case_0 x6
    z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c (d_C__case_0 x6 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "MissingImports._case_0" [show x6, show x5] info)
  _ -> failCons cd (consFail "MissingImports._case_0" (showCons x5))

nd_C__case_0 :: Curry_Prelude.OP_List FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> IDSupply -> Cover
  -> ConstStore -> Func (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) (Curry_Prelude.OP_Tuple2
  Curry_Prelude.OP_Unit (Data.Curry_RedBlackTree.C_RedBlackTree
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)))
nd_C__case_0 x6 x5 s cd cs = case x5 of
  Curry_Prelude.OP_Tuple2 x7 x8 -> let s5 = s
    in s5 `seq` (let s4 = leftSupply s5
                     s6 = rightSupply s5
                     s0 = leftSupply s6
                     s3 = rightSupply s6
    in s4 `seq` (s6 `seq` (s0 `seq` (s3 `seq` Curry_State.nd_C_bindS_
    (nd_C_addModule x7 s0 cd cs) (let s2 = leftSupply s3
                                      s1 = rightSupply s3
    in s2 `seq` (s1 `seq` Curry_Prelude.nd_C_apply (Curry_State.nd_C_mapS_
    (wrapNX id nd_C_vsTypeExpr) s1 cd cs) x6 s2 cd cs)) s4 cd cs))))
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i (nd_C__case_0 x6 l s cd
    cs) (nd_C__case_0 x6 r s cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z -> nd_C__case_0
    x6 z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c (nd_C__case_0 x6 e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "MissingImports._case_0" [show x6, show x5] info)
  _ -> failCons cd (consFail "MissingImports._case_0" (showCons x5))

