{-# LANGUAGE MagicHash #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE Rank2Types #-}
{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-overlapping-patterns #-}
{-# OPTIONS_GHC -fno-warn-missing-methods #-}
#if __GLASGOW_HASKELL__ >= 800
{-# OPTIONS_GHC -fno-warn-redundant-constraints #-}
#else
{-# OPTIONS_GHC -fno-warn-duplicate-constraints #-}
#endif

module System.Curry_FrontendExec
  ( C_FrontendTarget (..)
  , C_FrontendParams (..)
  , d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
  , nd_OP_uscore_inst_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
  , d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
  , d_OP_uscore_impl_hash_slash_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
  , d_C_defaultParams
  , d_C_rcParams
  , d_C_setQuiet
  , d_C_setExtended
  , d_C_setCpp
  , d_C_addDefinition
  , d_C_setDefinitions
  , d_C_setOverlapWarn
  , d_C_setFullPath
  , d_C_setHtmlDir
  , d_C_setLogfile
  , d_C_setSpecials
  , d_C_addTarget
  , d_C_quiet
  , d_C_extended
  , d_C_cpp
  , d_C_definitions
  , d_C_overlapWarn
  , d_C_fullPath
  , d_C_htmldir
  , d_C_logfile
  , d_C_specials
  , d_C_callFrontend
  , d_C_callFrontendWithParams )
  where

import Basics
import qualified Curry_Char
import qualified Data.Curry_PropertyFile
import qualified Curry_Distribution
import qualified Curry_FilePath
import qualified Curry_List
import qualified Curry_Prelude
import qualified Curry_System
import qualified System.Curry_CurryPath


data C_FrontendTarget
  = C_FCY
  | C_TFCY
  | C_FINT
  | C_ACY
  | C_UACY
  | C_HTML
  | C_CY
  | C_TOKS
  | C_TAFCY
  | C_AST
  | C_SAST
  | C_COMMS
  | Choice_C_FrontendTarget Cover ID C_FrontendTarget C_FrontendTarget
  | Choices_C_FrontendTarget Cover ID [C_FrontendTarget]
  | Fail_C_FrontendTarget Cover FailInfo
  | Guard_C_FrontendTarget Cover Constraints C_FrontendTarget

instance Show C_FrontendTarget where
  showsPrec d (Choice_C_FrontendTarget cd i x y) = showsChoice d cd i x y
  showsPrec d (Choices_C_FrontendTarget cd i xs) = showsChoices d cd i xs
  showsPrec d (Guard_C_FrontendTarget cd c e) = showsGuard d cd c e
  showsPrec _ (Fail_C_FrontendTarget cd info) = showChar '!'
  showsPrec _ C_FCY = showString "FCY"
  showsPrec _ C_TFCY = showString "TFCY"
  showsPrec _ C_FINT = showString "FINT"
  showsPrec _ C_ACY = showString "ACY"
  showsPrec _ C_UACY = showString "UACY"
  showsPrec _ C_HTML = showString "HTML"
  showsPrec _ C_CY = showString "CY"
  showsPrec _ C_TOKS = showString "TOKS"
  showsPrec _ C_TAFCY = showString "TAFCY"
  showsPrec _ C_AST = showString "AST"
  showsPrec _ C_SAST = showString "SAST"
  showsPrec _ C_COMMS = showString "COMMS"

instance Read C_FrontendTarget where
  readsPrec _ s = readParen False (\r -> [(C_FCY, r0) | (_, r0) <- readQualified
    "System.FrontendExec" "FCY" r]) s ++ (readParen False (\r -> [(C_TFCY
    , r0) | (_, r0) <- readQualified "System.FrontendExec" "TFCY" r]) s ++
    (readParen False (\r -> [(C_FINT, r0) | (_, r0) <- readQualified
    "System.FrontendExec" "FINT" r]) s ++ (readParen False (\r -> [(C_ACY
    , r0) | (_, r0) <- readQualified "System.FrontendExec" "ACY" r]) s ++
    (readParen False (\r -> [(C_UACY, r0) | (_, r0) <- readQualified
    "System.FrontendExec" "UACY" r]) s ++ (readParen False (\r -> [(C_HTML
    , r0) | (_, r0) <- readQualified "System.FrontendExec" "HTML" r]) s ++
    (readParen False (\r -> [(C_CY, r0) | (_, r0) <- readQualified
    "System.FrontendExec" "CY" r]) s ++ (readParen False (\r -> [(C_TOKS
    , r0) | (_, r0) <- readQualified "System.FrontendExec" "TOKS" r]) s ++
    (readParen False (\r -> [(C_TAFCY, r0) | (_, r0) <- readQualified
    "System.FrontendExec" "TAFCY" r]) s ++ (readParen False (\r -> [(C_AST
    , r0) | (_, r0) <- readQualified "System.FrontendExec" "AST" r]) s ++
    (readParen False (\r -> [(C_SAST, r0) | (_, r0) <- readQualified
    "System.FrontendExec" "SAST" r]) s ++ readParen False (\r -> [(C_COMMS
    , r0) | (_, r0) <- readQualified "System.FrontendExec" "COMMS" r])
    s))))))))))

instance NonDet C_FrontendTarget where
  choiceCons = Choice_C_FrontendTarget
  choicesCons = Choices_C_FrontendTarget
  failCons = Fail_C_FrontendTarget
  guardCons = Guard_C_FrontendTarget
  try (Choice_C_FrontendTarget cd i x y) = tryChoice cd i x y
  try (Choices_C_FrontendTarget cd i xs) = tryChoices cd i xs
  try (Fail_C_FrontendTarget cd info) = Fail cd info
  try (Guard_C_FrontendTarget cd c e) = Guard cd c e
  try x = Val x
  match f _ _ _ _ _ (Choice_C_FrontendTarget cd i x y) = f cd i x y
  match _ f _ _ _ _ (Choices_C_FrontendTarget cd i@(NarrowedID _ _) xs) = f cd i
    xs
  match _ _ f _ _ _ (Choices_C_FrontendTarget cd i@(FreeID _ _) xs) = f cd i xs
  match _ _ _ _ _ _ (Choices_C_FrontendTarget cd i _) = error
    ("System.FrontendExec.FrontendTarget.match: Choices with ChoiceID " ++ show
    i)
  match _ _ _ f _ _ (Fail_C_FrontendTarget cd info) = f cd info
  match _ _ _ _ f _ (Guard_C_FrontendTarget cd c e) = f cd c e
  match _ _ _ _ _ f x = f x

instance Generable C_FrontendTarget where
  generate s c = Choices_C_FrontendTarget c (freeID [0, 0, 0, 0, 0, 0, 0, 0, 0
    , 0, 0, 0] s) [C_FCY, C_TFCY, C_FINT, C_ACY, C_UACY, C_HTML, C_CY, C_TOKS
    , C_TAFCY, C_AST, C_SAST, C_COMMS]

instance NormalForm C_FrontendTarget where
  ($!!) cont C_FCY d cs = cont C_FCY d cs
  ($!!) cont C_TFCY d cs = cont C_TFCY d cs
  ($!!) cont C_FINT d cs = cont C_FINT d cs
  ($!!) cont C_ACY d cs = cont C_ACY d cs
  ($!!) cont C_UACY d cs = cont C_UACY d cs
  ($!!) cont C_HTML d cs = cont C_HTML d cs
  ($!!) cont C_CY d cs = cont C_CY d cs
  ($!!) cont C_TOKS d cs = cont C_TOKS d cs
  ($!!) cont C_TAFCY d cs = cont C_TAFCY d cs
  ($!!) cont C_AST d cs = cont C_AST d cs
  ($!!) cont C_SAST d cs = cont C_SAST d cs
  ($!!) cont C_COMMS d cs = cont C_COMMS d cs
  ($!!) cont (Choice_C_FrontendTarget cd i x y) d cs = nfChoice cont cd i x y cd
    cs
  ($!!) cont (Choices_C_FrontendTarget cd i xs) d cs = nfChoices cont cd i xs d
    cs
  ($!!) cont (Guard_C_FrontendTarget cd c e) d cs = guardCons cd c (($!!) cont e
    d (addCs c cs))
  ($!!) _ (Fail_C_FrontendTarget cd info) _ _ = failCons cd info
  ($##) cont C_FCY d cs = cont C_FCY d cs
  ($##) cont C_TFCY d cs = cont C_TFCY d cs
  ($##) cont C_FINT d cs = cont C_FINT d cs
  ($##) cont C_ACY d cs = cont C_ACY d cs
  ($##) cont C_UACY d cs = cont C_UACY d cs
  ($##) cont C_HTML d cs = cont C_HTML d cs
  ($##) cont C_CY d cs = cont C_CY d cs
  ($##) cont C_TOKS d cs = cont C_TOKS d cs
  ($##) cont C_TAFCY d cs = cont C_TAFCY d cs
  ($##) cont C_AST d cs = cont C_AST d cs
  ($##) cont C_SAST d cs = cont C_SAST d cs
  ($##) cont C_COMMS d cs = cont C_COMMS d cs
  ($##) cont (Choice_C_FrontendTarget cd i x y) d cs = gnfChoice cont cd i x y
    cd cs
  ($##) cont (Choices_C_FrontendTarget cd i xs) d cs = gnfChoices cont cd i xs d
    cs
  ($##) cont (Guard_C_FrontendTarget cd c e) d cs = guardCons cd c (($##) cont e
    d (addCs c cs))
  ($##) _ (Fail_C_FrontendTarget cd info) _ _ = failCons cd info
  showCons C_FCY = "System.FrontendExec.FCY"
  showCons C_TFCY = "System.FrontendExec.TFCY"
  showCons C_FINT = "System.FrontendExec.FINT"
  showCons C_ACY = "System.FrontendExec.ACY"
  showCons C_UACY = "System.FrontendExec.UACY"
  showCons C_HTML = "System.FrontendExec.HTML"
  showCons C_CY = "System.FrontendExec.CY"
  showCons C_TOKS = "System.FrontendExec.TOKS"
  showCons C_TAFCY = "System.FrontendExec.TAFCY"
  showCons C_AST = "System.FrontendExec.AST"
  showCons C_SAST = "System.FrontendExec.SAST"
  showCons C_COMMS = "System.FrontendExec.COMMS"
  showCons x = error
    ("System.FrontendExec.FrontendTarget.showCons: no constructor: " ++ show x)
  searchNF _ cont C_FCY = cont C_FCY
  searchNF _ cont C_TFCY = cont C_TFCY
  searchNF _ cont C_FINT = cont C_FINT
  searchNF _ cont C_ACY = cont C_ACY
  searchNF _ cont C_UACY = cont C_UACY
  searchNF _ cont C_HTML = cont C_HTML
  searchNF _ cont C_CY = cont C_CY
  searchNF _ cont C_TOKS = cont C_TOKS
  searchNF _ cont C_TAFCY = cont C_TAFCY
  searchNF _ cont C_AST = cont C_AST
  searchNF _ cont C_SAST = cont C_SAST
  searchNF _ cont C_COMMS = cont C_COMMS
  searchNF _ _ x = error
    ("System.FrontendExec.FrontendTarget.searchNF: no constructor: " ++ show x)

instance Unifiable C_FrontendTarget where
  (=.=) C_FCY C_FCY d cs = C_True
  (=.=) C_TFCY C_TFCY d cs = C_True
  (=.=) C_FINT C_FINT d cs = C_True
  (=.=) C_ACY C_ACY d cs = C_True
  (=.=) C_UACY C_UACY d cs = C_True
  (=.=) C_HTML C_HTML d cs = C_True
  (=.=) C_CY C_CY d cs = C_True
  (=.=) C_TOKS C_TOKS d cs = C_True
  (=.=) C_TAFCY C_TAFCY d cs = C_True
  (=.=) C_AST C_AST d cs = C_True
  (=.=) C_SAST C_SAST d cs = C_True
  (=.=) C_COMMS C_COMMS d cs = C_True
  (=.=) a b cd _ = Fail_C_Bool cd (unificationFail (showCons a) (showCons b))
  (=.<=) C_FCY C_FCY d cs = C_True
  (=.<=) C_TFCY C_TFCY d cs = C_True
  (=.<=) C_FINT C_FINT d cs = C_True
  (=.<=) C_ACY C_ACY d cs = C_True
  (=.<=) C_UACY C_UACY d cs = C_True
  (=.<=) C_HTML C_HTML d cs = C_True
  (=.<=) C_CY C_CY d cs = C_True
  (=.<=) C_TOKS C_TOKS d cs = C_True
  (=.<=) C_TAFCY C_TAFCY d cs = C_True
  (=.<=) C_AST C_AST d cs = C_True
  (=.<=) C_SAST C_SAST d cs = C_True
  (=.<=) C_COMMS C_COMMS d cs = C_True
  (=.<=) a b cd _ = Fail_C_Bool cd (unificationFail (showCons a) (showCons b))
  bind cd i C_FCY = (i :=: ChooseN 0 0) : concat []
  bind cd i C_TFCY = (i :=: ChooseN 1 0) : concat []
  bind cd i C_FINT = (i :=: ChooseN 2 0) : concat []
  bind cd i C_ACY = (i :=: ChooseN 3 0) : concat []
  bind cd i C_UACY = (i :=: ChooseN 4 0) : concat []
  bind cd i C_HTML = (i :=: ChooseN 5 0) : concat []
  bind cd i C_CY = (i :=: ChooseN 6 0) : concat []
  bind cd i C_TOKS = (i :=: ChooseN 7 0) : concat []
  bind cd i C_TAFCY = (i :=: ChooseN 8 0) : concat []
  bind cd i C_AST = (i :=: ChooseN 9 0) : concat []
  bind cd i C_SAST = (i :=: ChooseN 10 0) : concat []
  bind cd i C_COMMS = (i :=: ChooseN 11 0) : concat []
  bind d i (Choice_C_FrontendTarget cd j x y) = [ConstraintChoice cd j (bind d i
    x) (bind d i y)]
  bind d i (Choices_C_FrontendTarget cd j@(FreeID _ _) xs) = bindOrNarrow d i cd
    j xs
  bind d i (Choices_C_FrontendTarget cd j@(NarrowedID _ _) xs) =
    [ConstraintChoices cd j (map (bind d i) xs)]
  bind _ _ (Choices_C_FrontendTarget cd i _) = error
    ("System.FrontendExec.FrontendTarget.bind: Choices with ChoiceID: " ++ show
    i)
  bind _ _ (Fail_C_FrontendTarget cd info) = [Unsolvable info]
  bind d i (Guard_C_FrontendTarget cd c e) = getConstrList c ++ bind d i e
  lazyBind cd i C_FCY = (i :=: ChooseN 0 0) : []
  lazyBind cd i C_TFCY = (i :=: ChooseN 1 0) : []
  lazyBind cd i C_FINT = (i :=: ChooseN 2 0) : []
  lazyBind cd i C_ACY = (i :=: ChooseN 3 0) : []
  lazyBind cd i C_UACY = (i :=: ChooseN 4 0) : []
  lazyBind cd i C_HTML = (i :=: ChooseN 5 0) : []
  lazyBind cd i C_CY = (i :=: ChooseN 6 0) : []
  lazyBind cd i C_TOKS = (i :=: ChooseN 7 0) : []
  lazyBind cd i C_TAFCY = (i :=: ChooseN 8 0) : []
  lazyBind cd i C_AST = (i :=: ChooseN 9 0) : []
  lazyBind cd i C_SAST = (i :=: ChooseN 10 0) : []
  lazyBind cd i C_COMMS = (i :=: ChooseN 11 0) : []
  lazyBind d i (Choice_C_FrontendTarget cd j x y) = [ConstraintChoice cd j
    (lazyBind d i x) (lazyBind d i y)]
  lazyBind d i (Choices_C_FrontendTarget cd j@(FreeID _ _) xs) =
    lazyBindOrNarrow d i cd j xs
  lazyBind d i (Choices_C_FrontendTarget cd j@(NarrowedID _ _) xs) =
    [ConstraintChoices cd j (map (lazyBind d i) xs)]
  lazyBind _ _ (Choices_C_FrontendTarget cd i _) = error
    ("System.FrontendExec.FrontendTarget.lazyBind: Choices with ChoiceID: " ++
    show i)
  lazyBind _ _ (Fail_C_FrontendTarget cd info) = [Unsolvable info]
  lazyBind d i (Guard_C_FrontendTarget cd c e) = getConstrList c ++ [i :=:
    LazyBind (lazyBind d i e)]

instance Curry C_FrontendTarget where

data C_FrontendParams
  = C_FrontendParams Curry_Prelude.C_Bool Curry_Prelude.C_Bool
    Curry_Prelude.C_Bool (Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
    (Curry_Prelude.OP_List Curry_Prelude.C_Char) Curry_Prelude.C_Int))
    Curry_Prelude.C_Bool (Curry_Prelude.C_Maybe (Curry_Prelude.OP_List
    (Curry_Prelude.OP_List Curry_Prelude.C_Char))) (Curry_Prelude.C_Maybe
    (Curry_Prelude.OP_List Curry_Prelude.C_Char)) (Curry_Prelude.C_Maybe
    (Curry_Prelude.OP_List Curry_Prelude.C_Char)) (Curry_Prelude.OP_List
    C_FrontendTarget) (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  | Choice_C_FrontendParams Cover ID C_FrontendParams C_FrontendParams
  | Choices_C_FrontendParams Cover ID [C_FrontendParams]
  | Fail_C_FrontendParams Cover FailInfo
  | Guard_C_FrontendParams Cover Constraints C_FrontendParams

instance Show C_FrontendParams where
  showsPrec d (Choice_C_FrontendParams cd i x y) = showsChoice d cd i x y
  showsPrec d (Choices_C_FrontendParams cd i xs) = showsChoices d cd i xs
  showsPrec d (Guard_C_FrontendParams cd c e) = showsGuard d cd c e
  showsPrec _ (Fail_C_FrontendParams cd info) = showChar '!'
  showsPrec _ (C_FrontendParams x1 x2 x3 x4 x5 x6 x7 x8 x9 x10) = showString
    "(FrontendParams" . (showChar ' ' . (shows x1 . (showChar ' ' . (shows x2 .
    (showChar ' ' . (shows x3 . (showChar ' ' . (shows x4 . (showChar ' ' .
    (shows x5 . (showChar ' ' . (shows x6 . (showChar ' ' . (shows x7 .
    (showChar ' ' . (shows x8 . (showChar ' ' . (shows x9 . (showChar ' ' .
    (shows x10 . showChar ')'))))))))))))))))))))

instance Read C_FrontendParams where
  readsPrec d s = readParen ((>) d 10) (\r -> [(C_FrontendParams x1 x2 x3 x4 x5
    x6 x7 x8 x9 x10, r10) | (_, r0) <- readQualified "System.FrontendExec"
    "FrontendParams" r, (x1, r1) <- readsPrec 11 r0, (x2, r2) <- readsPrec 11
    r1, (x3, r3) <- readsPrec 11 r2, (x4, r4) <- readsPrec 11 r3, (x5, r5) <-
    readsPrec 11 r4, (x6, r6) <- readsPrec 11 r5, (x7, r7) <- readsPrec 11 r6,
    (x8, r8) <- readsPrec 11 r7, (x9, r9) <- readsPrec 11 r8, (x10, r10) <-
    readsPrec 11 r9]) s

instance NonDet C_FrontendParams where
  choiceCons = Choice_C_FrontendParams
  choicesCons = Choices_C_FrontendParams
  failCons = Fail_C_FrontendParams
  guardCons = Guard_C_FrontendParams
  try (Choice_C_FrontendParams cd i x y) = tryChoice cd i x y
  try (Choices_C_FrontendParams cd i xs) = tryChoices cd i xs
  try (Fail_C_FrontendParams cd info) = Fail cd info
  try (Guard_C_FrontendParams cd c e) = Guard cd c e
  try x = Val x
  match f _ _ _ _ _ (Choice_C_FrontendParams cd i x y) = f cd i x y
  match _ f _ _ _ _ (Choices_C_FrontendParams cd i@(NarrowedID _ _) xs) = f cd i
    xs
  match _ _ f _ _ _ (Choices_C_FrontendParams cd i@(FreeID _ _) xs) = f cd i xs
  match _ _ _ _ _ _ (Choices_C_FrontendParams cd i _) = error
    ("System.FrontendExec.FrontendParams.match: Choices with ChoiceID " ++ show
    i)
  match _ _ _ f _ _ (Fail_C_FrontendParams cd info) = f cd info
  match _ _ _ _ f _ (Guard_C_FrontendParams cd c e) = f cd c e
  match _ _ _ _ _ f x = f x

instance Generable C_FrontendParams where
  generate s c = Choices_C_FrontendParams c (freeID [10] s) [C_FrontendParams
    (generate (leftSupply (leftSupply (leftSupply (leftSupply s)))) c) (generate
    (rightSupply (leftSupply (leftSupply (leftSupply s)))) c) (generate
    (rightSupply (leftSupply (leftSupply s))) c) (generate (leftSupply
    (rightSupply (leftSupply s))) c) (generate (rightSupply (rightSupply
    (leftSupply s))) c) (generate (leftSupply (leftSupply (leftSupply
    (rightSupply s)))) c) (generate (rightSupply (leftSupply (leftSupply
    (rightSupply s)))) c) (generate (rightSupply (leftSupply (rightSupply s)))
    c) (generate (leftSupply (rightSupply (rightSupply s))) c) (generate
    (rightSupply (rightSupply (rightSupply s))) c)]

instance NormalForm C_FrontendParams where
  ($!!) cont (C_FrontendParams x1 x2 x3 x4 x5 x6 x7 x8 x9 x10) d cs = ($!!)
    (\y1 d cs -> ($!!) (\y2 d cs -> ($!!) (\y3 d cs -> ($!!) (\y4 d cs -> ($!!)
    (\y5 d cs -> ($!!) (\y6 d cs -> ($!!) (\y7 d cs -> ($!!) (\y8 d cs -> ($!!)
    (\y9 d cs -> ($!!) (\y10 d cs -> cont (C_FrontendParams y1 y2 y3 y4 y5 y6 y7
    y8 y9 y10) d cs) x10 d cs) x9 d cs) x8 d cs) x7 d cs) x6 d cs) x5 d cs) x4 d
    cs) x3 d cs) x2 d cs) x1 d cs
  ($!!) cont (Choice_C_FrontendParams cd i x y) d cs = nfChoice cont cd i x y cd
    cs
  ($!!) cont (Choices_C_FrontendParams cd i xs) d cs = nfChoices cont cd i xs d
    cs
  ($!!) cont (Guard_C_FrontendParams cd c e) d cs = guardCons cd c (($!!) cont e
    d (addCs c cs))
  ($!!) _ (Fail_C_FrontendParams cd info) _ _ = failCons cd info
  ($##) cont (C_FrontendParams x1 x2 x3 x4 x5 x6 x7 x8 x9 x10) d cs = ($##)
    (\y1 d cs -> ($##) (\y2 d cs -> ($##) (\y3 d cs -> ($##) (\y4 d cs -> ($##)
    (\y5 d cs -> ($##) (\y6 d cs -> ($##) (\y7 d cs -> ($##) (\y8 d cs -> ($##)
    (\y9 d cs -> ($##) (\y10 d cs -> cont (C_FrontendParams y1 y2 y3 y4 y5 y6 y7
    y8 y9 y10) d cs) x10 d cs) x9 d cs) x8 d cs) x7 d cs) x6 d cs) x5 d cs) x4 d
    cs) x3 d cs) x2 d cs) x1 d cs
  ($##) cont (Choice_C_FrontendParams cd i x y) d cs = gnfChoice cont cd i x y
    cd cs
  ($##) cont (Choices_C_FrontendParams cd i xs) d cs = gnfChoices cont cd i xs d
    cs
  ($##) cont (Guard_C_FrontendParams cd c e) d cs = guardCons cd c (($##) cont e
    d (addCs c cs))
  ($##) _ (Fail_C_FrontendParams cd info) _ _ = failCons cd info
  showCons (C_FrontendParams _ _ _ _ _ _ _ _ _ _) =
    "System.FrontendExec.FrontendParams _ _ _ _ _ _ _ _ _ _"
  showCons x = error
    ("System.FrontendExec.FrontendParams.showCons: no constructor: " ++ show x)
  searchNF search cont (C_FrontendParams x1 x2 x3 x4 x5 x6 x7 x8 x9 x10) =
    search (\y1 -> search (\y2 -> search (\y3 -> search (\y4 -> search (\y5 ->
    search (\y6 -> search (\y7 -> search (\y8 -> search (\y9 -> search (\y10 ->
    cont (C_FrontendParams y1 y2 y3 y4 y5 y6 y7 y8 y9 y10)) x10) x9) x8) x7) x6)
    x5) x4) x3) x2) x1
  searchNF _ _ x = error
    ("System.FrontendExec.FrontendParams.searchNF: no constructor: " ++ show x)

instance Unifiable C_FrontendParams where
  (=.=) (C_FrontendParams x1 x2 x3 x4 x5 x6 x7 x8 x9 x10) (C_FrontendParams y1 y2 y3 y4 y5 y6 y7 y8 y9 y10) d cs =
    (&) ((=:=) x1 y1 d cs) ((&) ((=:=) x2 y2 d cs) ((&) ((=:=) x3 y3 d cs) ((&)
    ((=:=) x4 y4 d cs) ((&) ((=:=) x5 y5 d cs) ((&) ((=:=) x6 y6 d cs) ((&)
    ((=:=) x7 y7 d cs) ((&) ((=:=) x8 y8 d cs) ((&) ((=:=) x9 y9 d cs) ((=:=)
    x10 y10 d cs) d cs) d cs) d cs) d cs) d cs) d cs) d cs) d cs) d cs
  (=.=) a b cd _ = Fail_C_Bool cd (unificationFail (showCons a) (showCons b))
  (=.<=) (C_FrontendParams x1 x2 x3 x4 x5 x6 x7 x8 x9 x10) (C_FrontendParams y1 y2 y3 y4 y5 y6 y7 y8 y9 y10) d cs =
    (&) ((=:<=) x1 y1 d cs) ((&) ((=:<=) x2 y2 d cs) ((&) ((=:<=) x3 y3 d cs)
    ((&) ((=:<=) x4 y4 d cs) ((&) ((=:<=) x5 y5 d cs) ((&) ((=:<=) x6 y6 d cs)
    ((&) ((=:<=) x7 y7 d cs) ((&) ((=:<=) x8 y8 d cs) ((&) ((=:<=) x9 y9 d cs)
    ((=:<=) x10 y10 d cs) d cs) d cs) d cs) d cs) d cs) d cs) d cs) d cs) d cs
  (=.<=) a b cd _ = Fail_C_Bool cd (unificationFail (showCons a) (showCons b))
  bind cd i (C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) = (i :=: ChooseN
    0 10) : concat [bind cd (leftID (leftID (leftID (leftID i)))) x3, bind cd
    (rightID (leftID (leftID (leftID i)))) x4, bind cd (rightID (leftID (leftID
    i))) x5, bind cd (leftID (rightID (leftID i))) x6, bind cd (rightID (rightID
    (leftID i))) x7, bind cd (leftID (leftID (leftID (rightID i)))) x8, bind cd
    (rightID (leftID (leftID (rightID i)))) x9, bind cd (rightID (leftID
    (rightID i))) x10, bind cd (leftID (rightID (rightID i))) x11, bind cd
    (rightID (rightID (rightID i))) x12]
  bind d i (Choice_C_FrontendParams cd j x y) = [ConstraintChoice cd j (bind d i
    x) (bind d i y)]
  bind d i (Choices_C_FrontendParams cd j@(FreeID _ _) xs) = bindOrNarrow d i cd
    j xs
  bind d i (Choices_C_FrontendParams cd j@(NarrowedID _ _) xs) =
    [ConstraintChoices cd j (map (bind d i) xs)]
  bind _ _ (Choices_C_FrontendParams cd i _) = error
    ("System.FrontendExec.FrontendParams.bind: Choices with ChoiceID: " ++ show
    i)
  bind _ _ (Fail_C_FrontendParams cd info) = [Unsolvable info]
  bind d i (Guard_C_FrontendParams cd c e) = getConstrList c ++ bind d i e
  lazyBind cd i (C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) = (i :=:
    ChooseN 0 10) : [leftID (leftID (leftID (leftID i))) :=: LazyBind (lazyBind
    cd (leftID (leftID (leftID (leftID i)))) x3), rightID (leftID (leftID
    (leftID i))) :=: LazyBind (lazyBind cd (rightID (leftID (leftID (leftID
    i)))) x4), rightID (leftID (leftID i)) :=: LazyBind (lazyBind cd (rightID
    (leftID (leftID i))) x5), leftID (rightID (leftID i)) :=: LazyBind (lazyBind
    cd (leftID (rightID (leftID i))) x6), rightID (rightID (leftID i)) :=:
    LazyBind (lazyBind cd (rightID (rightID (leftID i))) x7), leftID (leftID
    (leftID (rightID i))) :=: LazyBind (lazyBind cd (leftID (leftID (leftID
    (rightID i)))) x8), rightID (leftID (leftID (rightID i))) :=: LazyBind
    (lazyBind cd (rightID (leftID (leftID (rightID i)))) x9), rightID (leftID
    (rightID i)) :=: LazyBind (lazyBind cd (rightID (leftID (rightID i))) x10)
    , leftID (rightID (rightID i)) :=: LazyBind (lazyBind cd (leftID (rightID
    (rightID i))) x11), rightID (rightID (rightID i)) :=: LazyBind (lazyBind cd
    (rightID (rightID (rightID i))) x12)]
  lazyBind d i (Choice_C_FrontendParams cd j x y) = [ConstraintChoice cd j
    (lazyBind d i x) (lazyBind d i y)]
  lazyBind d i (Choices_C_FrontendParams cd j@(FreeID _ _) xs) =
    lazyBindOrNarrow d i cd j xs
  lazyBind d i (Choices_C_FrontendParams cd j@(NarrowedID _ _) xs) =
    [ConstraintChoices cd j (map (lazyBind d i) xs)]
  lazyBind _ _ (Choices_C_FrontendParams cd i _) = error
    ("System.FrontendExec.FrontendParams.lazyBind: Choices with ChoiceID: " ++
    show i)
  lazyBind _ _ (Fail_C_FrontendParams cd info) = [Unsolvable info]
  lazyBind d i (Guard_C_FrontendParams cd c e) = getConstrList c ++ [i :=:
    LazyBind (lazyBind d i e)]

instance Curry C_FrontendParams where

d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget :: Cover
  -> ConstStore -> Curry_Prelude.OP_uscore_Dict_hash_Eq C_FrontendTarget
d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget cd cs =
  Curry_Prelude.OP_uscore_Dict_hash_Eq (acceptCs id
  d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget)
  (d_OP_uscore_impl_hash_slash_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
  cd cs)

nd_OP_uscore_inst_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget :: IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_uscore_Dict_hash_Eq
  C_FrontendTarget
nd_OP_uscore_inst_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget s cd cs =
  Curry_Prelude.HO_OP_uscore_Dict_hash_Eq (wrapDX (wrapDX id) (acceptCs id
  d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget))
  (wrapDX (wrapDX id)
  (d_OP_uscore_impl_hash_slash_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
  cd cs))

d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget :: C_FrontendTarget
  -> C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget x1 x2 cd cs =
  case x1 of
  C_FCY -> d_C__case_19 x2 cd cs
  C_TFCY -> d_C__case_18 x2 cd cs
  C_FINT -> d_C__case_17 x2 cd cs
  C_ACY -> d_C__case_16 x2 cd cs
  C_UACY -> d_C__case_15 x2 cd cs
  C_HTML -> d_C__case_14 x2 cd cs
  C_CY -> d_C__case_13 x2 cd cs
  C_TOKS -> d_C__case_12 x2 cd cs
  C_TAFCY -> d_C__case_11 x2 cd cs
  C_AST -> d_C__case_10 x2 cd cs
  C_SAST -> d_C__case_9 x2 cd cs
  C_COMMS -> d_C__case_8 x2 cd cs
  Choice_C_FrontendTarget d i l r -> narrow d i
    (d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
    l x2 cd cs)
    (d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
    r x2 cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z ->
    d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
    z x2 cd cs) xs
  Guard_C_FrontendTarget d c e -> guardCons d c
    (d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
    e x2 cd $! addCs c cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._impl#==#Prelude.Eq#System.FrontendExec.FrontendTarget"
    [show x1, show x2] info)
  _ -> failCons cd (consFail
    "System.FrontendExec._impl#==#Prelude.Eq#System.FrontendExec.FrontendTarget"
    (showCons x1))

d_OP_uscore_impl_hash_slash_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget :: Cover
  -> ConstStore -> C_FrontendTarget -> Cover -> ConstStore -> C_FrontendTarget
  -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_OP_uscore_impl_hash_slash_eq_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget cd cs =
  acceptCs id (Curry_Prelude.d_OP_uscore_def_hash_slash_eq_hash_Prelude_dot_Eq
  (d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
  cd cs))

d_C_defaultParams :: Cover -> ConstStore -> C_FrontendParams
d_C_defaultParams cd cs = let x1 = Curry_Prelude.OP_Cons
                                (Curry_Prelude.OP_Tuple2
                                (Curry_Prelude.d_OP_plus_plus
                                (Curry_Prelude.toCurryString "__")
                                (Curry_Prelude.d_OP_plus_plus
                                (Curry_Prelude.d_C_map Curry_Char.d_C_toUpper
                                (Curry_Distribution.d_C_curryCompiler cd cs) cd
                                cs) (Curry_Prelude.toCurryString "__") cd cs) cd
                                cs)
                                (Curry_Prelude.d_OP_uscore_impl_hash_plus_hash_Prelude_dot_Num_hash_Prelude_dot_Int
                                (Curry_Prelude.d_OP_uscore_impl_hash_star_hash_Prelude_dot_Num_hash_Prelude_dot_Int
                                (Curry_Distribution.d_C_curryCompilerMajorVersion
                                cd cs) (Curry_Prelude.C_Int (100)) cd cs)
                                (Curry_Distribution.d_C_curryCompilerMinorVersion
                                cd cs) cd cs)) Curry_Prelude.OP_List
  in C_FrontendParams Curry_Prelude.C_False Curry_Prelude.C_True
  Curry_Prelude.C_False x1 Curry_Prelude.C_True Curry_Prelude.C_Nothing
  Curry_Prelude.C_Nothing Curry_Prelude.C_Nothing Curry_Prelude.OP_List
  Curry_Prelude.OP_List

d_C_rcParams :: Cover -> ConstStore -> Curry_Prelude.C_IO C_FrontendParams
d_C_rcParams cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Distribution.d_C_rcFileName cd cs)
  d_OP_rcParams_dot_uscore_hash_lambda3 cd cs

d_OP_rcParams_dot_uscore_hash_lambda3 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Cover -> ConstStore -> Curry_Prelude.C_IO
  C_FrontendParams
d_OP_rcParams_dot_uscore_hash_lambda3 x1 cd cs = let x2 = x1
  in Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Data.Curry_PropertyFile.d_C_getPropertiesFromFile x2 (Curry_Prelude.OP_Cons
  (Curry_Prelude.toCurryString "curryextensions") (Curry_Prelude.OP_Cons
  (Curry_Prelude.toCurryString "warnoverlapping") Curry_Prelude.OP_List)) cd cs)
  d_OP_rcParams_dot_uscore_hash_lambda3_dot_uscore_hash_lambda5 cd cs

d_OP_rcParams_dot_uscore_hash_lambda3_dot_uscore_hash_lambda5 :: Curry_Prelude.OP_List
  (Curry_Prelude.C_Maybe (Curry_Prelude.OP_List Curry_Prelude.C_Char)) -> Cover
  -> ConstStore -> Curry_Prelude.C_IO C_FrontendParams
d_OP_rcParams_dot_uscore_hash_lambda3_dot_uscore_hash_lambda5 x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Cons x2 x3 -> d_C__case_7 x2 x3 cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_apply
    (Curry_Prelude.d_OP_uscore_impl_hash_fail_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    cd cs) (Curry_Prelude.toCurryString "Pattern match failed!") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i
    (d_OP_rcParams_dot_uscore_hash_lambda3_dot_uscore_hash_lambda5 l cd cs)
    (d_OP_rcParams_dot_uscore_hash_lambda3_dot_uscore_hash_lambda5 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z ->
    d_OP_rcParams_dot_uscore_hash_lambda3_dot_uscore_hash_lambda5 z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c
    (d_OP_rcParams_dot_uscore_hash_lambda3_dot_uscore_hash_lambda5 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.FrontendExec.rcParams._#lambda3._#lambda5" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.rcParams._#lambda3._#lambda5"
    (showCons x1))

d_C_setQuiet :: Curry_Prelude.C_Bool -> C_FrontendParams -> Cover -> ConstStore
  -> C_FrontendParams
d_C_setQuiet x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x1 x4 x5
    x6 x7 x8 x9 x10 x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setQuiet x1 l cd cs)
    (d_C_setQuiet x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setQuiet x1 z cd
    cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setQuiet x1 e cd $! addCs c
    cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setQuiet" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setQuiet" (showCons x2))

d_C_setExtended :: Curry_Prelude.C_Bool -> C_FrontendParams -> Cover
  -> ConstStore -> C_FrontendParams
d_C_setExtended x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x1 x5
    x6 x7 x8 x9 x10 x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setExtended x1 l cd cs)
    (d_C_setExtended x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setExtended x1 z
    cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setExtended x1 e cd $!
    addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setExtended" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setExtended" (showCons x2))

d_C_setCpp :: Curry_Prelude.C_Bool -> C_FrontendParams -> Cover -> ConstStore
  -> C_FrontendParams
d_C_setCpp x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x1
    x6 x7 x8 x9 x10 x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setCpp x1 l cd cs)
    (d_C_setCpp x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setCpp x1 z cd
    cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setCpp x1 e cd $! addCs c
    cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setCpp" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setCpp" (showCons x2))

d_C_addDefinition :: Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) Curry_Prelude.C_Int -> C_FrontendParams -> Cover
  -> ConstStore -> C_FrontendParams
d_C_addDefinition x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x5
    (Curry_Prelude.d_OP_plus_plus x6 (Curry_Prelude.OP_Cons x1
    Curry_Prelude.OP_List) cd cs) x7 x8 x9 x10 x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_addDefinition x1 l cd cs)
    (d_C_addDefinition x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_addDefinition x1
    z cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_addDefinition x1 e cd $!
    addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.addDefinition" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.addDefinition" (showCons x2))

d_C_setDefinitions :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) Curry_Prelude.C_Int)
  -> C_FrontendParams -> Cover -> ConstStore -> C_FrontendParams
d_C_setDefinitions x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x5
    x1 x7 x8 x9 x10 x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setDefinitions x1 l cd cs)
    (d_C_setDefinitions x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setDefinitions x1
    z cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setDefinitions x1 e cd $!
    addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setDefinitions" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setDefinitions" (showCons x2))

d_C_setOverlapWarn :: Curry_Prelude.C_Bool -> C_FrontendParams -> Cover
  -> ConstStore -> C_FrontendParams
d_C_setOverlapWarn x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x5
    x6 x1 x8 x9 x10 x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setOverlapWarn x1 l cd cs)
    (d_C_setOverlapWarn x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setOverlapWarn x1
    z cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setOverlapWarn x1 e cd $!
    addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setOverlapWarn" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setOverlapWarn" (showCons x2))

d_C_setFullPath :: Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> C_FrontendParams -> Cover -> ConstStore
  -> C_FrontendParams
d_C_setFullPath x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x5
    x6 x7 (Curry_Prelude.C_Just x1) x9 x10 x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setFullPath x1 l cd cs)
    (d_C_setFullPath x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setFullPath x1 z
    cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setFullPath x1 e cd $!
    addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setFullPath" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setFullPath" (showCons x2))

d_C_setHtmlDir :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> C_FrontendParams
  -> Cover -> ConstStore -> C_FrontendParams
d_C_setHtmlDir x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x5
    x6 x7 x8 (Curry_Prelude.C_Just x1) x10 x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setHtmlDir x1 l cd cs)
    (d_C_setHtmlDir x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setHtmlDir x1 z
    cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setHtmlDir x1 e cd $! addCs
    c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setHtmlDir" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setHtmlDir" (showCons x2))

d_C_setLogfile :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> C_FrontendParams
  -> Cover -> ConstStore -> C_FrontendParams
d_C_setLogfile x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x5
    x6 x7 x8 x9 (Curry_Prelude.C_Just x1) x11 x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setLogfile x1 l cd cs)
    (d_C_setLogfile x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setLogfile x1 z
    cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setLogfile x1 e cd $! addCs
    c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setLogfile" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setLogfile" (showCons x2))

d_C_setSpecials :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> C_FrontendParams -> Cover -> ConstStore -> C_FrontendParams
d_C_setSpecials x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x5
    x6 x7 x8 x9 x10 x11 x1
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_setSpecials x1 l cd cs)
    (d_C_setSpecials x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_setSpecials x1 z
    cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_setSpecials x1 e cd $!
    addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.setSpecials" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.setSpecials" (showCons x2))

d_C_addTarget :: C_FrontendTarget -> C_FrontendParams -> Cover -> ConstStore
  -> C_FrontendParams
d_C_addTarget x1 x2 cd cs = case x2 of
  C_FrontendParams x3 x4 x5 x6 x7 x8 x9 x10 x11 x12 -> C_FrontendParams x3 x4 x5
    x6 x7 x8 x9 x10 (Curry_Prelude.OP_Cons x1 x11) x12
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_addTarget x1 l cd cs)
    (d_C_addTarget x1 r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_addTarget x1 z cd
    cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_addTarget x1 e cd $! addCs
    c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.addTarget" [show x1, show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec.addTarget" (showCons x2))

d_C_quiet :: C_FrontendParams -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C_quiet x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x2
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_quiet l cd cs) (d_C_quiet r
    cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_quiet z cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_quiet e cd $! addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.quiet" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.quiet" (showCons x1))

d_C_extended :: C_FrontendParams -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C_extended x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x3
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_extended l cd cs)
    (d_C_extended r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_extended z cd cs)
    xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_extended e cd $! addCs c
    cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.extended" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.extended" (showCons x1))

d_C_cpp :: C_FrontendParams -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C_cpp x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x4
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_cpp l cd cs) (d_C_cpp r cd
    cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_cpp z cd cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_cpp e cd $! addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.cpp" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.cpp" (showCons x1))

d_C_definitions :: C_FrontendParams -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) Curry_Prelude.C_Int)
d_C_definitions x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x5
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_definitions l cd cs)
    (d_C_definitions r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_definitions z cd
    cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_definitions e cd $! addCs c
    cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.definitions" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.definitions" (showCons x1))

d_C_overlapWarn :: C_FrontendParams -> Cover -> ConstStore
  -> Curry_Prelude.C_Bool
d_C_overlapWarn x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x6
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_overlapWarn l cd cs)
    (d_C_overlapWarn r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_overlapWarn z cd
    cs) xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_overlapWarn e cd $! addCs c
    cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.overlapWarn" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.overlapWarn" (showCons x1))

d_C_fullPath :: C_FrontendParams -> Cover -> ConstStore -> Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_C_fullPath x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x7
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_fullPath l cd cs)
    (d_C_fullPath r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_fullPath z cd cs)
    xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_fullPath e cd $! addCs c
    cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.fullPath" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.fullPath" (showCons x1))

d_C_htmldir :: C_FrontendParams -> Cover -> ConstStore -> Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C_htmldir x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x8
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_htmldir l cd cs)
    (d_C_htmldir r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_htmldir z cd cs)
    xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_htmldir e cd $! addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.htmldir" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.htmldir" (showCons x1))

d_C_logfile :: C_FrontendParams -> Cover -> ConstStore -> Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C_logfile x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x9
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_logfile l cd cs)
    (d_C_logfile r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_logfile z cd cs)
    xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_logfile e cd $! addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.logfile" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.logfile" (showCons x1))

d_C_targets :: C_FrontendParams -> Cover -> ConstStore -> Curry_Prelude.OP_List
  C_FrontendTarget
d_C_targets x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x10
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_targets l cd cs)
    (d_C_targets r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_targets z cd cs)
    xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_targets e cd $! addCs c cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.targets" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.targets" (showCons x1))

d_C_specials :: C_FrontendParams -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C_specials x1 cd cs = case x1 of
  C_FrontendParams x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 -> x11
  Choice_C_FrontendParams d i l r -> narrow d i (d_C_specials l cd cs)
    (d_C_specials r cd cs)
  Choices_C_FrontendParams d i xs -> narrows cs d i (\z -> d_C_specials z cd cs)
    xs
  Guard_C_FrontendParams d c e -> guardCons d c (d_C_specials e cd $! addCs c
    cs)
  Fail_C_FrontendParams d info -> failCons d (traceFail
    "System.FrontendExec.specials" [show x1] info)
  _ -> failCons cd (consFail "System.FrontendExec.specials" (showCons x1))

d_C_callFrontend :: C_FrontendTarget -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Cover -> ConstStore -> Curry_Prelude.C_IO
  Curry_Prelude.OP_Unit
d_C_callFrontend x1 x2 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (d_C_rcParams cd cs) (d_OP_callFrontend_dot_uscore_hash_lambda8 x1 x2) cd cs

d_OP_callFrontend_dot_uscore_hash_lambda8 :: C_FrontendTarget
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> C_FrontendParams -> Cover
  -> ConstStore -> Curry_Prelude.C_IO Curry_Prelude.OP_Unit
d_OP_callFrontend_dot_uscore_hash_lambda8 x1 x2 x3 cd cs = let x4 = x3
  in d_C_callFrontendWithParams x1 x4 x2 cd cs

d_C_callFrontendWithParams :: C_FrontendTarget -> C_FrontendParams
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.C_IO Curry_Prelude.OP_Unit
d_C_callFrontendWithParams x1 x2 x3 cd cs =
  let x4 = Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
        (Curry_Prelude.d_C_maybe
        (System.Curry_CurryPath.d_C_getLoadPathForModule x3 cd cs)
        (d_OP_callFrontendWithParams_dot_uscore_hash_lambda11 x3) (d_C_fullPath
        x2 cd cs) cd cs) d_OP_callFrontendWithParams_dot_uscore_hash_lambda12 cd
        cs
      x5 = Curry_Prelude.toCurryString "--no-verb --no-warn --no-overlap-warn"
      x6 = Curry_Prelude.d_C_unwords (Curry_Prelude.OP_Cons (d_C__case_5 x2 x5
        (d_C_quiet x2 cd cs) cd cs) (Curry_Prelude.OP_Cons (d_C__case_4 x2
        (d_C_extended x2 cd cs) cd cs) (Curry_Prelude.OP_Cons (d_C__case_3 x2
        (d_C_cpp x2 cd cs) cd cs) (Curry_Prelude.OP_Cons (d_C__case_2 x2
        (d_C_overlapWarn x2 cd cs) cd cs) (Curry_Prelude.OP_Cons
        (Curry_Prelude.d_C_maybe Curry_Prelude.OP_List
        (Curry_Prelude.d_OP_plus_plus (Curry_Prelude.toCurryString
        "--htmldir=")) (d_C_htmldir x2 cd cs) cd cs) (Curry_Prelude.OP_Cons
        (d_C_specials x2 cd cs) Curry_Prelude.OP_List)))))) cd cs
      x7 = Curry_Prelude.d_OP_dollar (Curry_List.d_C_intercalate
        (Curry_Prelude.toCurryString " ")) (Curry_Prelude.d_C_map
        (d_OP_callFrontendWithParams_dot_showDefinition_dot_153
        (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Show_hash_Prelude_dot_Int
        cd cs)) (d_C_definitions x2 cd cs) cd cs) cd cs
  in Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  x4 (d_OP_callFrontendWithParams_dot_uscore_hash_lambda16 x2 x1 x7 x3 x6) cd cs

d_OP_callFrontendWithParams_dot_quote_dot_153 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_OP_callFrontendWithParams_dot_quote_dot_153 x1 cd cs = Curry_Prelude.OP_Cons
  (Curry_Prelude.C_Char '"'#) (Curry_Prelude.d_OP_plus_plus x1
  (Curry_Prelude.toCurryString "\"") cd cs)

d_OP_callFrontendWithParams_dot_uscore_hash_lambda11 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Cover -> ConstStore -> Curry_Prelude.C_IO
  (Curry_Prelude.OP_List (Curry_Prelude.OP_List Curry_Prelude.C_Char))
d_OP_callFrontendWithParams_dot_uscore_hash_lambda11 x1 x2 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_List.d_C_nub
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lbracket_rbracket
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char cd
  cs) cd cs) (Curry_Prelude.OP_Cons (Curry_FilePath.d_C_takeDirectory x1 cd cs)
  x2) cd cs) cd cs

d_OP_callFrontendWithParams_dot_uscore_hash_lambda12 :: Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover -> ConstStore
  -> Curry_Prelude.C_IO (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_OP_callFrontendWithParams_dot_uscore_hash_lambda12 x1 cd cs = let x2 = x1
  in Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (Curry_Prelude.d_OP_plus_plus (d_OP_callFrontendWithParams_dot_quote_dot_153
  (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
  (Curry_FilePath.d_OP_lt_slash_gt cd cs) (Curry_Distribution.d_C_installDir cd
  cs) cd cs) (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
  (Curry_FilePath.d_OP_lt_slash_gt cd cs) (Curry_Prelude.toCurryString "bin") cd
  cs) (Curry_Prelude.d_OP_plus_plus (Curry_Distribution.d_C_curryCompiler cd cs)
  (Curry_Prelude.toCurryString "-frontend") cd cs) cd cs) cd cs) cd cs)
  (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_concatMap (Curry_Prelude.d_OP_dot
  (Curry_Prelude.d_OP_plus_plus (Curry_Prelude.toCurryString " -i"))
  d_OP_callFrontendWithParams_dot_quote_dot_153 cd cs) cd cs) x2 cd cs) cd cs)
  cd cs

d_OP_callFrontendWithParams_dot_showFrontendTarget_dot_153 :: C_FrontendTarget
  -> Cover -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_OP_callFrontendWithParams_dot_showFrontendTarget_dot_153 x1 cd cs = case x1 of
  C_FCY -> Curry_Prelude.toCurryString "--flat"
  C_TFCY -> Curry_Prelude.toCurryString "--typed-flat"
  C_TAFCY -> Curry_Prelude.toCurryString "--type-annotated-flat"
  C_FINT -> Curry_Prelude.toCurryString "--flat"
  C_ACY -> Curry_Prelude.toCurryString "--acy"
  C_UACY -> Curry_Prelude.toCurryString "--uacy"
  C_HTML -> Curry_Prelude.toCurryString "--html"
  C_CY -> Curry_Prelude.toCurryString "--parse-only"
  C_TOKS -> Curry_Prelude.toCurryString "--tokens"
  C_AST -> Curry_Prelude.toCurryString "--ast"
  C_SAST -> Curry_Prelude.toCurryString "--short-ast"
  C_COMMS -> Curry_Prelude.toCurryString "--comments"
  Choice_C_FrontendTarget d i l r -> narrow d i
    (d_OP_callFrontendWithParams_dot_showFrontendTarget_dot_153 l cd cs)
    (d_OP_callFrontendWithParams_dot_showFrontendTarget_dot_153 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z ->
    d_OP_callFrontendWithParams_dot_showFrontendTarget_dot_153 z cd cs) xs
  Guard_C_FrontendTarget d c e -> guardCons d c
    (d_OP_callFrontendWithParams_dot_showFrontendTarget_dot_153 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec.callFrontendWithParams.showFrontendTarget.153" [show
    x1] info)
  _ -> failCons cd (consFail
    "System.FrontendExec.callFrontendWithParams.showFrontendTarget.153"
    (showCons x1))

d_OP_callFrontendWithParams_dot_showDefinition_dot_153 :: forall t0 . (Curry_Prelude.Curry
  t0) => Curry_Prelude.OP_uscore_Dict_hash_Show t0 -> Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) t0 -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 x2 cd cs = case x2 of
  Curry_Prelude.OP_Tuple2 x3 x4 -> Curry_Prelude.d_OP_plus_plus
    (Curry_Prelude.toCurryString "-D") (Curry_Prelude.d_OP_plus_plus x3
    (Curry_Prelude.d_OP_plus_plus (Curry_Prelude.toCurryString "=")
    (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_show x1 cd cs) x4 cd cs) cd cs)
    cd cs) cd cs
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 l cd cs)
    (d_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.FrontendExec.callFrontendWithParams.showDefinition.153" [show x1
    , show x2] info)
  _ -> failCons cd (consFail
    "System.FrontendExec.callFrontendWithParams.showDefinition.153" (showCons
    x2))

nd_OP_callFrontendWithParams_dot_showDefinition_dot_153 :: forall t0 . (Curry_Prelude.Curry
  t0) => Curry_Prelude.OP_uscore_Dict_hash_Show t0 -> Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) t0 -> IDSupply -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
nd_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 x2 s cd cs =
  case x2 of
  Curry_Prelude.OP_Tuple2 x3 x4 -> let s2 = s
    in s2 `seq` Curry_Prelude.d_OP_plus_plus (Curry_Prelude.toCurryString "-D")
    (Curry_Prelude.d_OP_plus_plus x3 (Curry_Prelude.d_OP_plus_plus
    (Curry_Prelude.toCurryString "=") (let s1 = leftSupply s2
                                           s0 = rightSupply s2
    in s1 `seq` (s0 `seq` Curry_Prelude.nd_C_apply (Curry_Prelude.nd_C_show x1
    s0 cd cs) x4 s1 cd cs)) cd cs) cd cs) cd cs
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (nd_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 l s cd cs)
    (nd_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 r s cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    nd_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (nd_OP_callFrontendWithParams_dot_showDefinition_dot_153 x1 e s cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "System.FrontendExec.callFrontendWithParams.showDefinition.153" [show x1
    , show x2] info)
  _ -> failCons cd (consFail
    "System.FrontendExec.callFrontendWithParams.showDefinition.153" (showCons
    x2))

d_OP_callFrontendWithParams_dot_uscore_hash_lambda16 :: C_FrontendParams
  -> C_FrontendTarget -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_IO Curry_Prelude.OP_Unit
d_OP_callFrontendWithParams_dot_uscore_hash_lambda16 x1 x2 x3 x4 x5 x6 cd cs =
  let x7 = x6
      x8 = Curry_Prelude.d_C_maybe Curry_Prelude.OP_List Curry_Prelude.d_C_id
        (d_C_logfile x1 cd cs) cd cs
      x9 = Curry_List.d_C_nub
        (d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_System_dot_FrontendExec_dot_FrontendTarget
        cd cs) (Curry_Prelude.OP_Cons x2 (d_C_targets x1 cd cs)) cd cs
      x10 = Curry_Prelude.d_OP_dollar Curry_Prelude.d_C_unwords
        (Curry_Prelude.d_OP_plus_plus (Curry_Prelude.OP_Cons x7
        Curry_Prelude.OP_List) (Curry_Prelude.d_OP_plus_plus
        (Curry_Prelude.d_C_map
        d_OP_callFrontendWithParams_dot_showFrontendTarget_dot_153 x9 cd cs)
        (Curry_Prelude.OP_Cons x5 (Curry_Prelude.OP_Cons x3
        (Curry_Prelude.OP_Cons (Curry_Prelude.d_C_apply
        (Curry_FilePath.d_C_takeFileName cd cs) x4 cd cs)
        Curry_Prelude.OP_List))) cd cs) cd cs) cd cs
  in Curry_Prelude.d_OP_uscore_impl_hash_gt_gt_eq_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
  (d_C__case_1 x8 x10 (Curry_Prelude.d_C_null x8 cd cs) cd cs)
  d_OP_callFrontendWithParams_dot_uscore_hash_lambda16_dot_uscore_hash_lambda18
  cd cs

d_OP_callFrontendWithParams_dot_uscore_hash_lambda16_dot_uscore_hash_lambda18 :: Curry_Prelude.C_Int
  -> Cover -> ConstStore -> Curry_Prelude.C_IO Curry_Prelude.OP_Unit
d_OP_callFrontendWithParams_dot_uscore_hash_lambda16_dot_uscore_hash_lambda18 x1 cd cs =
  let x2 = x1
  in d_C__case_0 x2
  (Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Int
  x2 (Curry_Prelude.C_Int (0)) cd cs) cd cs

d_C__case_0 :: Curry_Prelude.C_Int -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.C_IO Curry_Prelude.OP_Unit
d_C__case_0 x2 x3 cd cs = case x3 of
  Curry_Prelude.C_True -> Curry_Prelude.d_C_done cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_ioError
    (Curry_Prelude.d_C_userError (Curry_Prelude.toCurryString
    "Illegal source program") cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_0 x2 l cd cs)
    (d_C__case_0 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_0 x2 z
    cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_0 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.FrontendExec._case_0" [show x2, show x3] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_0" (showCons x3))

d_C__case_1 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.C_IO Curry_Prelude.C_Int
d_C__case_1 x8 x10 x11 cd cs = case x11 of
  Curry_Prelude.C_True -> Curry_System.d_C_system x10 cd cs
  Curry_Prelude.C_False -> Curry_System.d_C_system (Curry_Prelude.d_OP_plus_plus
    x10 (Curry_Prelude.d_OP_plus_plus (Curry_Prelude.toCurryString " > ")
    (Curry_Prelude.d_OP_plus_plus x8 (Curry_Prelude.toCurryString " 2>&1") cd
    cs) cd cs) cd cs) cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_1 x8 x10 l cd cs)
    (d_C__case_1 x8 x10 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_1 x8
    x10 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_1 x8 x10 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.FrontendExec._case_1" [show x8, show x10, show x11] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_1" (showCons x11))

d_C__case_2 :: C_FrontendParams -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_2 x2 x3 cd cs = case x3 of
  Curry_Prelude.C_True -> Curry_Prelude.OP_List
  Curry_Prelude.C_False -> Curry_Prelude.toCurryString "--no-overlap-warn"
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_2 x2 l cd cs)
    (d_C__case_2 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_2 x2 z
    cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_2 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.FrontendExec._case_2" [show x2, show x3] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_2" (showCons x3))

d_C__case_3 :: C_FrontendParams -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_3 x2 x3 cd cs = case x3 of
  Curry_Prelude.C_True -> Curry_Prelude.toCurryString "--cpp"
  Curry_Prelude.C_False -> Curry_Prelude.OP_List
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_3 x2 l cd cs)
    (d_C__case_3 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_3 x2 z
    cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_3 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.FrontendExec._case_3" [show x2, show x3] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_3" (showCons x3))

d_C__case_4 :: C_FrontendParams -> Curry_Prelude.C_Bool -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_4 x2 x3 cd cs = case x3 of
  Curry_Prelude.C_True -> Curry_Prelude.toCurryString "--extended"
  Curry_Prelude.C_False -> Curry_Prelude.OP_List
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_4 x2 l cd cs)
    (d_C__case_4 x2 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_4 x2 z
    cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_4 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.FrontendExec._case_4" [show x2, show x3] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_4" (showCons x3))

d_C__case_5 :: C_FrontendParams -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.C_Bool -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char
d_C__case_5 x2 x5 x6 cd cs = case x6 of
  Curry_Prelude.C_True -> x5
  Curry_Prelude.C_False -> Curry_Prelude.OP_List
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_5 x2 x5 l cd cs)
    (d_C__case_5 x2 x5 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_5 x2 x5
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_5 x2 x5 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail
    "System.FrontendExec._case_5" [show x2, show x5, show x6] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_5" (showCons x6))

d_C__case_7 :: Curry_Prelude.C_Maybe (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.OP_List (Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) -> Cover -> ConstStore
  -> Curry_Prelude.C_IO C_FrontendParams
d_C__case_7 x2 x3 cd cs = case x3 of
  Curry_Prelude.OP_Cons x4 x5 -> d_C__case_6 x4 x2 x5 cd cs
  Curry_Prelude.OP_List -> Curry_Prelude.d_C_apply
    (Curry_Prelude.d_OP_uscore_impl_hash_fail_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    cd cs) (Curry_Prelude.toCurryString "Pattern match failed!") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_7 x2 l cd cs)
    (d_C__case_7 x2 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_7 x2 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_7 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.FrontendExec._case_7" [show x2, show x3] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_7" (showCons x3))

d_C__case_6 :: Curry_Prelude.C_Maybe (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.C_Maybe (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) -> Curry_Prelude.OP_List (Curry_Prelude.C_Maybe
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) -> Cover -> ConstStore
  -> Curry_Prelude.C_IO C_FrontendParams
d_C__case_6 x4 x2 x5 cd cs = case x5 of
  Curry_Prelude.OP_List -> Curry_Prelude.d_OP_dollar
    Curry_Prelude.d_OP_uscore_impl_hash_return_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    (Curry_Prelude.d_OP_dollar (d_C_setExtended (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_OP_uscore_impl_hash_slash_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Maybe
    (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lbracket_rbracket
    (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char cd
    cs) cd cs) cd cs) x2 cd cs) (Curry_Prelude.C_Just
    (Curry_Prelude.toCurryString "no")) cd cs)) (Curry_Prelude.d_OP_dollar
    (d_C_setOverlapWarn (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
    (Curry_Prelude.d_OP_uscore_impl_hash_slash_eq_hash_Prelude_dot_Eq_hash_Prelude_dot_Maybe
    (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lbracket_rbracket
    (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char cd
    cs) cd cs) cd cs) x4 cd cs) (Curry_Prelude.C_Just
    (Curry_Prelude.toCurryString "no")) cd cs)) (d_C_defaultParams cd cs) cd cs)
    cd cs) cd cs
  Curry_Prelude.OP_Cons x6 x7 -> Curry_Prelude.d_C_apply
    (Curry_Prelude.d_OP_uscore_impl_hash_fail_hash_Prelude_dot_Monad_hash_Prelude_dot_IO
    cd cs) (Curry_Prelude.toCurryString "Pattern match failed!") cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_6 x4 x2 l cd cs)
    (d_C__case_6 x4 x2 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_6 x4
    x2 z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_6 x4 x2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail
    "System.FrontendExec._case_6" [show x4, show x2, show x5] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_6" (showCons x5))

d_C__case_8 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_8 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_True
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_8 l cd cs)
    (d_C__case_8 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_8 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_8 e cd $! addCs c cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_8" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_8" (showCons x2))

d_C__case_9 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_9 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_True
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_9 l cd cs)
    (d_C__case_9 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_9 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_9 e cd $! addCs c cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_9" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_9" (showCons x2))

d_C__case_10 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_10 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_True
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_10 l cd cs)
    (d_C__case_10 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_10 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_10 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_10" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_10" (showCons x2))

d_C__case_11 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_11 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_True
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_11 l cd cs)
    (d_C__case_11 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_11 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_11 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_11" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_11" (showCons x2))

d_C__case_12 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_12 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_True
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_12 l cd cs)
    (d_C__case_12 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_12 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_12 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_12" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_12" (showCons x2))

d_C__case_13 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_13 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_True
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_13 l cd cs)
    (d_C__case_13 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_13 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_13 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_13" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_13" (showCons x2))

d_C__case_14 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_14 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_True
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_14 l cd cs)
    (d_C__case_14 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_14 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_14 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_14" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_14" (showCons x2))

d_C__case_15 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_15 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_True
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_15 l cd cs)
    (d_C__case_15 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_15 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_15 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_15" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_15" (showCons x2))

d_C__case_16 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_16 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_True
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_16 l cd cs)
    (d_C__case_16 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_16 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_16 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_16" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_16" (showCons x2))

d_C__case_17 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_17 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_True
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_17 l cd cs)
    (d_C__case_17 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_17 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_17 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_17" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_17" (showCons x2))

d_C__case_18 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_18 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_False
  C_TFCY -> Curry_Prelude.C_True
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_18 l cd cs)
    (d_C__case_18 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_18 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_18 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_18" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_18" (showCons x2))

d_C__case_19 :: C_FrontendTarget -> Cover -> ConstStore -> Curry_Prelude.C_Bool
d_C__case_19 x2 cd cs = case x2 of
  C_FCY -> Curry_Prelude.C_True
  C_TFCY -> Curry_Prelude.C_False
  C_FINT -> Curry_Prelude.C_False
  C_ACY -> Curry_Prelude.C_False
  C_UACY -> Curry_Prelude.C_False
  C_HTML -> Curry_Prelude.C_False
  C_CY -> Curry_Prelude.C_False
  C_TOKS -> Curry_Prelude.C_False
  C_TAFCY -> Curry_Prelude.C_False
  C_AST -> Curry_Prelude.C_False
  C_SAST -> Curry_Prelude.C_False
  C_COMMS -> Curry_Prelude.C_False
  Choice_C_FrontendTarget d i l r -> narrow d i (d_C__case_19 l cd cs)
    (d_C__case_19 r cd cs)
  Choices_C_FrontendTarget d i xs -> narrows cs d i (\z -> d_C__case_19 z cd cs)
    xs
  Guard_C_FrontendTarget d c e -> guardCons d c (d_C__case_19 e cd $! addCs c
    cs)
  Fail_C_FrontendTarget d info -> failCons d (traceFail
    "System.FrontendExec._case_19" [show x2] info)
  _ -> failCons cd (consFail "System.FrontendExec._case_19" (showCons x2))

