{-# LANGUAGE MagicHash #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE Rank2Types #-}
{-# LANGUAGE CPP #-}
{-# OPTIONS_GHC -fno-warn-overlapping-patterns #-}
{-# OPTIONS_GHC -fno-warn-missing-methods #-}
#if __GLASGOW_HASKELL__ >= 800
{-# OPTIONS_GHC -fno-warn-redundant-constraints #-}
#else
{-# OPTIONS_GHC -fno-warn-duplicate-constraints #-}
#endif

module Curry_LiftCase ( d_C_isCaseAuxFuncName, d_C_liftCases ) where

import Basics
import qualified Data.Curry_FiniteMap
import qualified FlatCurry.Annotated.Curry_Goodies
import qualified FlatCurry.Annotated.Curry_Types
import qualified FlatCurry.Curry_Types
import qualified Curry_List
import qualified Curry_Prelude


type C_FuncList = Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)

type C_TypedVar = Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr

type C_Result = Curry_Prelude.OP_Tuple3 (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))

type C_M t0 = Curry_Prelude.C_Int -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple4 t0 Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))

d_C_isCaseAuxFuncName :: Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover
  -> ConstStore -> Curry_Prelude.C_Bool
d_C_isCaseAuxFuncName x1 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_eq_eq_hash_Prelude_dot_Eq_hash_lbracket_rbracket
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char cd
  cs) (Curry_Prelude.d_C_take (Curry_Prelude.C_Int (6)) x1 cd cs)
  (Curry_Prelude.toCurryString "_case_") cd cs

d_C_liftCases :: Curry_Prelude.C_Bool -> FlatCurry.Annotated.Curry_Types.C_AProg
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AProg FlatCurry.Curry_Types.C_TypeExpr
d_C_liftCases x1 x2 cd cs = let x3 = Curry_Prelude.d_C_apply
                                  (FlatCurry.Annotated.Curry_Goodies.d_C_progFuncs
                                  cd cs) x2 cd cs
                                x4 = Curry_Prelude.d_C_apply (d_C_genAuxName cd
                                  cs) (Curry_Prelude.d_C_map
                                  (Curry_Prelude.d_OP_dot Curry_Prelude.d_C_snd
                                  (FlatCurry.Annotated.Curry_Goodies.d_C_funcName
                                  cd cs) cd cs) x3 cd cs) cd cs
                                x5 = Curry_List.d_C_partition
                                  (FlatCurry.Annotated.Curry_Goodies.d_C_isExternal
                                  cd cs) x3 cd cs
                                x6 = d_OP_liftCases_dot_uscore_hash_selFP5_hash_exts
                                  x5 cd cs
                                x7 = d_OP_liftCases_dot_uscore_hash_selFP6_hash_ins
                                  x5 cd cs
                                x8 = Curry_Prelude.d_C_foldr (acceptCs id
                                  (d_C_liftCasesFunc x1 (Curry_Prelude.d_C_apply
                                  (FlatCurry.Annotated.Curry_Goodies.d_C_progName
                                  cd cs) x2 cd cs) x4)) (Curry_Prelude.OP_Tuple3
                                  Curry_Prelude.d_C_id (Curry_Prelude.C_Int (0))
                                  Curry_Prelude.d_C_id) x7 cd cs
                                x9 = d_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf
                                  x8 cd cs
                                x10 = d_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf
                                  x8 cd cs
  in Curry_Prelude.d_C_apply (FlatCurry.Annotated.Curry_Goodies.d_C_updProgFuncs
  (Curry_Prelude.d_C_const (Curry_Prelude.d_C_apply x9 (Curry_Prelude.d_C_apply
  x10 x6 cd cs) cd cs)) cd cs) x2 cd cs

d_OP_liftCases_dot_uscore_hash_selFP5_hash_exts :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCases_dot_uscore_hash_selFP5_hash_exts x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x2
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_liftCases_dot_uscore_hash_selFP5_hash_exts l cd cs)
    (d_OP_liftCases_dot_uscore_hash_selFP5_hash_exts r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_liftCases_dot_uscore_hash_selFP5_hash_exts z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_liftCases_dot_uscore_hash_selFP5_hash_exts e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "LiftCase.liftCases._#selFP5#exts" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCases._#selFP5#exts" (showCons x1))

d_OP_liftCases_dot_uscore_hash_selFP6_hash_ins :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCases_dot_uscore_hash_selFP6_hash_ins x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x3
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_liftCases_dot_uscore_hash_selFP6_hash_ins l cd cs)
    (d_OP_liftCases_dot_uscore_hash_selFP6_hash_ins r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_liftCases_dot_uscore_hash_selFP6_hash_ins z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_liftCases_dot_uscore_hash_selFP6_hash_ins e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "LiftCase.liftCases._#selFP6#ins" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCases._#selFP6#ins" (showCons x1))

d_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf :: Curry_Prelude.OP_Tuple3
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple3 x2 x3 x4 -> x2
  Curry_Prelude.Choice_OP_Tuple3 d i l r -> narrow d i
    (d_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf l cd cs)
    (d_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf r cd cs)
  Curry_Prelude.Choices_OP_Tuple3 d i xs -> narrows cs d i (\z ->
    d_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple3 d c e -> guardCons d c
    (d_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple3 d info -> failCons d (traceFail
    "LiftCase.liftCases._#selFP3#newFsf" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCases._#selFP3#newFsf" (showCons x1))

nd_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf :: Curry_Prelude.OP_Tuple3
  (Func (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple3 x2 x3 x4 -> x2
  Curry_Prelude.Choice_OP_Tuple3 d i l r -> narrow d i
    (nd_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf l s cd cs)
    (nd_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf r s cd cs)
  Curry_Prelude.Choices_OP_Tuple3 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple3 d c e -> guardCons d c
    (nd_OP_liftCases_dot_uscore_hash_selFP3_hash_newFsf e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple3 d info -> failCons d (traceFail
    "LiftCase.liftCases._#selFP3#newFsf" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCases._#selFP3#newFsf" (showCons x1))

d_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf :: Curry_Prelude.OP_Tuple3
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple3 x2 x3 x4 -> x4
  Curry_Prelude.Choice_OP_Tuple3 d i l r -> narrow d i
    (d_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf l cd cs)
    (d_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf r cd cs)
  Curry_Prelude.Choices_OP_Tuple3 d i xs -> narrows cs d i (\z ->
    d_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple3 d c e -> guardCons d c
    (d_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple3 d info -> failCons d (traceFail
    "LiftCase.liftCases._#selFP4#auxFf" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCases._#selFP4#auxFf" (showCons x1))

nd_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf :: Curry_Prelude.OP_Tuple3
  (Func (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple3 x2 x3 x4 -> x4
  Curry_Prelude.Choice_OP_Tuple3 d i l r -> narrow d i
    (nd_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf l s cd cs)
    (nd_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf r s cd cs)
  Curry_Prelude.Choices_OP_Tuple3 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple3 d c e -> guardCons d c
    (nd_OP_liftCases_dot_uscore_hash_selFP4_hash_auxFf e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple3 d info -> failCons d (traceFail
    "LiftCase.liftCases._#selFP4#auxFf" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCases._#selFP4#auxFf" (showCons x1))

d_C_sequence :: forall t0 . (Curry_Prelude.Curry t0) => Curry_Prelude.OP_List
  (Curry_Prelude.C_Int -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4 t0
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4 (Curry_Prelude.OP_List t0)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_C_sequence x1 x2 cd cs = Curry_Prelude.d_C_foldr (acceptCs id
  d_OP_sequence_dot_once_dot_12) (Curry_Prelude.OP_Tuple4 Curry_Prelude.OP_List
  x2 Curry_Prelude.d_C_id Curry_Prelude.OP_List) x1 cd cs

nd_C_sequence :: forall t0 . (Curry_Prelude.Curry t0) => Curry_Prelude.OP_List
  (Func Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4 t0 Curry_Prelude.C_Int
  (Func (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))) -> Curry_Prelude.C_Int -> IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4 (Curry_Prelude.OP_List t0)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_C_sequence x1 x2 s cd cs = let s0 = s
  in s0 `seq` Curry_Prelude.nd_C_foldr (wrapDX (wrapNX id) (acceptCs id
  nd_OP_sequence_dot_once_dot_12)) (Curry_Prelude.OP_Tuple4
  Curry_Prelude.OP_List x2 (wrapDX id Curry_Prelude.d_C_id)
  Curry_Prelude.OP_List) x1 s0 cd cs

d_OP_sequence_dot_once_dot_12 :: forall t0 t4 t1 t2 t3 t6
  t5 . (Curry_Prelude.Curry t5, Curry_Prelude.Curry t6, Curry_Prelude.Curry t3
  , Curry_Prelude.Curry t2, Curry_Prelude.Curry t1, Curry_Prelude.Curry t4
  , Curry_Prelude.Curry t0) => (t0 -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple4 t1 t2 (t3 -> Cover -> ConstStore -> t4)
  (Curry_Prelude.OP_List t5)) -> Curry_Prelude.OP_Tuple4 (Curry_Prelude.OP_List
  t1) t0 (t4 -> Cover -> ConstStore -> t6) (Curry_Prelude.OP_List t5) -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4 (Curry_Prelude.OP_List t1) t2 (t3
  -> Cover -> ConstStore -> t6) (Curry_Prelude.OP_List t5)
d_OP_sequence_dot_once_dot_12 x1 x2 cd cs = case x2 of
  Curry_Prelude.OP_Tuple4 x3 x4 x5 x6 -> let x7 = Curry_Prelude.d_C_apply x1 x4
                                               cd cs
                                             x8 = d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e
                                               x7 cd cs
                                             x9 = d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k
                                               x7 cd cs
                                             x10 = d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2
                                               x7 cd cs
                                             x11 = d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2
                                               x7 cd cs
    in Curry_Prelude.OP_Tuple4 (Curry_Prelude.OP_Cons x8 x3) x9
    (Curry_Prelude.d_OP_dot x5 x10 cd cs) (Curry_Prelude.d_OP_plus_plus x6 x11
    cd cs)
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_sequence_dot_once_dot_12 x1 l cd cs) (d_OP_sequence_dot_once_dot_12 x1
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_sequence_dot_once_dot_12 x1 z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_sequence_dot_once_dot_12 x1 e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12" [show x1, show x2] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12" (showCons x2))

nd_OP_sequence_dot_once_dot_12 :: forall t0 t4 t1 t2 t3 t6
  t5 . (Curry_Prelude.Curry t5, Curry_Prelude.Curry t6, Curry_Prelude.Curry t3
  , Curry_Prelude.Curry t2, Curry_Prelude.Curry t1, Curry_Prelude.Curry t4
  , Curry_Prelude.Curry t0) => Func t0 (Curry_Prelude.OP_Tuple4 t1 t2 (Func t3
  t4) (Curry_Prelude.OP_List t5)) -> Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List t1) t0 (Func t4 t6) (Curry_Prelude.OP_List t5)
  -> IDSupply -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List t1) t2 (Func t3 t6) (Curry_Prelude.OP_List t5)
nd_OP_sequence_dot_once_dot_12 x1 x2 s cd cs = case x2 of
  Curry_Prelude.OP_Tuple4 x3 x4 x5 x6 -> let s6 = s
    in s6 `seq` (let s7 = leftSupply s6
                     s9 = rightSupply s6
                     s0 = leftSupply s7
                     s8 = rightSupply s7
                     s1 = leftSupply s8
                     s2 = rightSupply s8
                     s3 = leftSupply s9
                     s10 = rightSupply s9
                     s4 = leftSupply s10
                     s5 = rightSupply s10
    in s7 `seq` (s9 `seq` (s0 `seq` (s8 `seq` (s1 `seq` (s2 `seq` (s3 `seq`
    (s10 `seq` (s4 `seq` (s5 `seq` (let x7 = Curry_Prelude.nd_C_apply x1 x4 s0
                                          cd cs
                                        x8 = nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e
                                          x7 s1 cd cs
                                        x9 = nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k
                                          x7 s2 cd cs
                                        x10 = nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2
                                          x7 s3 cd cs
                                        x11 = nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2
                                          x7 s4 cd cs
    in Curry_Prelude.OP_Tuple4 (Curry_Prelude.OP_Cons x8 x3) x9
    (Curry_Prelude.nd_OP_dot x5 x10 s5 cd cs) (Curry_Prelude.d_OP_plus_plus x6
    x11 cd cs))))))))))))
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_sequence_dot_once_dot_12 x1 l s cd cs)
    (nd_OP_sequence_dot_once_dot_12 x1 r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_sequence_dot_once_dot_12 x1 z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_sequence_dot_once_dot_12 x1 e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12" [show x1, show x2] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12" (showCons x2))

d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e :: forall t1 t2 t3
  t4 t0 . (Curry_Prelude.Curry t0, Curry_Prelude.Curry t4, Curry_Prelude.Curry
  t3, Curry_Prelude.Curry t2, Curry_Prelude.Curry t1) => Curry_Prelude.OP_Tuple4
  t0 t1 (t2 -> Cover -> ConstStore -> t3) (Curry_Prelude.OP_List t4) -> Cover
  -> ConstStore -> t0
d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e l cd cs)
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12._#selFP8#e" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12._#selFP8#e" (showCons
    x1))

nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e :: forall t1 t2 t3
  t4 t0 . (Curry_Prelude.Curry t0, Curry_Prelude.Curry t4, Curry_Prelude.Curry
  t3, Curry_Prelude.Curry t2, Curry_Prelude.Curry t1) => Curry_Prelude.OP_Tuple4
  t0 t1 (Func t2 t3) (Curry_Prelude.OP_List t4) -> IDSupply -> Cover
  -> ConstStore -> t0
nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e l s cd cs)
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP8_hash_e e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12._#selFP8#e" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12._#selFP8#e" (showCons
    x1))

d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k :: forall t0 t2 t3
  t4 t1 . (Curry_Prelude.Curry t1, Curry_Prelude.Curry t4, Curry_Prelude.Curry
  t3, Curry_Prelude.Curry t2, Curry_Prelude.Curry t0) => Curry_Prelude.OP_Tuple4
  t0 t1 (t2 -> Cover -> ConstStore -> t3) (Curry_Prelude.OP_List t4) -> Cover
  -> ConstStore -> t1
d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k l cd cs)
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12._#selFP9#k" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12._#selFP9#k" (showCons
    x1))

nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k :: forall t0 t2 t3
  t4 t1 . (Curry_Prelude.Curry t1, Curry_Prelude.Curry t4, Curry_Prelude.Curry
  t3, Curry_Prelude.Curry t2, Curry_Prelude.Curry t0) => Curry_Prelude.OP_Tuple4
  t0 t1 (Func t2 t3) (Curry_Prelude.OP_List t4) -> IDSupply -> Cover
  -> ConstStore -> t1
nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k l s cd cs)
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP9_hash_k e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12._#selFP9#k" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12._#selFP9#k" (showCons
    x1))

d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 :: forall t0 t1
  t4 t2 t3 . (Curry_Prelude.Curry t3, Curry_Prelude.Curry t2
  , Curry_Prelude.Curry t4, Curry_Prelude.Curry t1, Curry_Prelude.Curry
  t0) => Curry_Prelude.OP_Tuple4 t0 t1 (t2 -> Cover -> ConstStore -> t3)
  (Curry_Prelude.OP_List t4) -> Cover -> ConstStore -> t2 -> Cover -> ConstStore
  -> t3
d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 l cd cs)
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12._#selFP10#ff2" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12._#selFP10#ff2" (showCons
    x1))

nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 :: forall t0 t1
  t4 t2 t3 . (Curry_Prelude.Curry t3, Curry_Prelude.Curry t2
  , Curry_Prelude.Curry t4, Curry_Prelude.Curry t1, Curry_Prelude.Curry
  t0) => Curry_Prelude.OP_Tuple4 t0 t1 (Func t2 t3) (Curry_Prelude.OP_List t4)
  -> IDSupply -> Cover -> ConstStore -> Func t2 t3
nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 l s cd cs)
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 z s cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP10_hash_ff2 e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12._#selFP10#ff2" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12._#selFP10#ff2" (showCons
    x1))

d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 :: forall t0 t1
  t2 t3 t4 . (Curry_Prelude.Curry t4, Curry_Prelude.Curry t3
  , Curry_Prelude.Curry t2, Curry_Prelude.Curry t1, Curry_Prelude.Curry
  t0) => Curry_Prelude.OP_Tuple4 t0 t1 (t2 -> Cover -> ConstStore -> t3)
  (Curry_Prelude.OP_List t4) -> Cover -> ConstStore -> Curry_Prelude.OP_List t4
d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 l cd cs)
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12._#selFP11#vs2" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12._#selFP11#vs2" (showCons
    x1))

nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 :: forall t0 t1
  t2 t3 t4 . (Curry_Prelude.Curry t4, Curry_Prelude.Curry t3
  , Curry_Prelude.Curry t2, Curry_Prelude.Curry t1, Curry_Prelude.Curry
  t0) => Curry_Prelude.OP_Tuple4 t0 t1 (Func t2 t3) (Curry_Prelude.OP_List t4)
  -> IDSupply -> Cover -> ConstStore -> Curry_Prelude.OP_List t4
nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 l s cd cs)
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 z s cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_sequence_dot_once_dot_12_dot_uscore_hash_selFP11_hash_vs2 e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.sequence.once.12._#selFP11#vs2" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.sequence.once.12._#selFP11#vs2" (showCons
    x1))

d_C_liftCasesFunc :: Curry_Prelude.C_Bool -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr -> Curry_Prelude.OP_Tuple3
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple3 (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
d_C_liftCasesFunc x1 x2 x3 x4 x5 cd cs = case x5 of
  Curry_Prelude.OP_Tuple3 x6 x7 x8 -> let x9 = Curry_Prelude.d_C_apply
                                            (FlatCurry.Annotated.Curry_Goodies.d_C_funcBody
                                            cd cs) x4 cd cs
                                          x10 = FlatCurry.Annotated.Curry_Goodies.d_C_trExpr
                                            (acceptCs (acceptCs id)
                                            d_OP_liftCasesFunc_dot_var_dot_18)
                                            (acceptCs (acceptCs id)
                                            d_OP_liftCasesFunc_dot_lit_dot_18)
                                            (acceptCs (acceptCs (acceptCs
                                            (acceptCs id)))
                                            d_OP_liftCasesFunc_dot_comb_dot_18)
                                            (acceptCs (acceptCs (acceptCs id))
                                            d_OP_liftCasesFunc_dot_leT_dot_18)
                                            (acceptCs (acceptCs (acceptCs id))
                                            d_OP_liftCasesFunc_dot_freE_dot_18)
                                            (acceptCs (acceptCs (acceptCs id))
                                            d_OP_liftCasesFunc_dot_or_dot_18)
                                            (acceptCs (acceptCs (acceptCs
                                            (acceptCs id)))
                                            (d_OP_liftCasesFunc_dot_casE_dot_18
                                            x3 x2)) (acceptCs (acceptCs id)
                                            d_OP_liftCasesFunc_dot_branch_dot_18)
                                            (acceptCs (acceptCs (acceptCs id))
                                            d_OP_liftCasesFunc_dot_typed_dot_18)
                                          x11 = d_C__case_20 x7 x9 x10 x1 cd cs
                                          x70 = d_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp
                                            x11 cd cs
                                          x71 = d_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain
                                            x11 cd cs
                                          x72 = d_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain
                                            x11 cd cs
    in Curry_Prelude.OP_Tuple3 (Curry_Prelude.d_OP_dot (acceptCs id
    (Curry_Prelude.OP_Cons (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply
    (FlatCurry.Annotated.Curry_Goodies.d_C_updFuncBody cd cs)
    (Curry_Prelude.d_C_const x70) cd cs) x4 cd cs))) x6 cd cs) x71
    (Curry_Prelude.d_OP_dot x8 x72 cd cs)
  Curry_Prelude.Choice_OP_Tuple3 d i l r -> narrow d i (d_C_liftCasesFunc x1 x2
    x3 x4 l cd cs) (d_C_liftCasesFunc x1 x2 x3 x4 r cd cs)
  Curry_Prelude.Choices_OP_Tuple3 d i xs -> narrows cs d i (\z ->
    d_C_liftCasesFunc x1 x2 x3 x4 z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple3 d c e -> guardCons d c (d_C_liftCasesFunc x1 x2
    x3 x4 e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple3 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc" [show x1, show x2, show x3, show x4, show x5] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc" (showCons x5))

nd_C_liftCasesFunc :: Curry_Prelude.C_Bool -> Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr -> Curry_Prelude.OP_Tuple3 (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple3 (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)))
nd_C_liftCasesFunc x1 x2 x3 x4 x5 s cd cs = case x5 of
  Curry_Prelude.OP_Tuple3 x6 x7 x8 -> let s14 = s
    in s14 `seq` (let s15 = leftSupply s14
                      s17 = rightSupply s14
                      s0 = leftSupply s15
                      s16 = rightSupply s15
                      s1 = leftSupply s16
                      s2 = rightSupply s16
                      s3 = leftSupply s17
                      s18 = rightSupply s17
                      s4 = leftSupply s18
                      s13 = rightSupply s18
    in s15 `seq` (s17 `seq` (s0 `seq` (s16 `seq` (s1 `seq` (s2 `seq` (s3 `seq`
    (s18 `seq` (s4 `seq` (s13 `seq` (let x9 = Curry_Prelude.nd_C_apply (wrapDX
                                           id
                                           (FlatCurry.Annotated.Curry_Goodies.d_C_funcBody
                                           cd cs)) x4 s0 cd cs
                                         x10 = wrapNX id
                                           (FlatCurry.Annotated.Curry_Goodies.nd_C_trExpr
                                           (wrapDX (wrapDX (wrapNX id))
                                           (acceptCs (acceptCs id)
                                           nd_OP_liftCasesFunc_dot_var_dot_18))
                                           (wrapDX (wrapDX (wrapNX id))
                                           (acceptCs (acceptCs id)
                                           nd_OP_liftCasesFunc_dot_lit_dot_18))
                                           (wrapDX (wrapDX (wrapDX (wrapDX
                                           (wrapNX id)))) (acceptCs (acceptCs
                                           (acceptCs (acceptCs id)))
                                           nd_OP_liftCasesFunc_dot_comb_dot_18))
                                           (wrapDX (wrapDX (wrapDX (wrapNX id)))
                                           (acceptCs (acceptCs (acceptCs id))
                                           nd_OP_liftCasesFunc_dot_leT_dot_18))
                                           (wrapDX (wrapDX (wrapDX (wrapNX id)))
                                           (acceptCs (acceptCs (acceptCs id))
                                           nd_OP_liftCasesFunc_dot_freE_dot_18))
                                           (wrapDX (wrapDX (wrapDX (wrapNX id)))
                                           (acceptCs (acceptCs (acceptCs id))
                                           nd_OP_liftCasesFunc_dot_or_dot_18))
                                           (wrapDX (wrapDX (wrapDX (wrapDX
                                           (wrapNX id)))) (acceptCs (acceptCs
                                           (acceptCs (acceptCs id)))
                                           (nd_OP_liftCasesFunc_dot_casE_dot_18
                                           x3 x2))) (wrapDX (wrapDX (wrapNX id))
                                           (acceptCs (acceptCs id)
                                           nd_OP_liftCasesFunc_dot_branch_dot_18))
                                           (wrapDX (wrapDX (wrapDX (wrapNX id)))
                                           (acceptCs (acceptCs (acceptCs id))
                                           nd_OP_liftCasesFunc_dot_typed_dot_18)))
                                         x11 = nd_C__case_20 x7 x9 x10 x1 s1 cd
                                           cs
                                         x70 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp
                                           x11 s2 cd cs
                                         x71 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain
                                           x11 s3 cd cs
                                         x72 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain
                                           x11 s4 cd cs
    in let s11 = leftSupply s13
           s12 = rightSupply s13
    in s11 `seq` (s12 `seq` Curry_Prelude.OP_Tuple3 (let s10 = leftSupply s11
                                                         s9 = rightSupply s11
    in s10 `seq` (s9 `seq` Curry_Prelude.nd_OP_dot (wrapDX id (acceptCs id
    (Curry_Prelude.OP_Cons (let s8 = leftSupply s9
                                s7 = rightSupply s9
    in s8 `seq` (s7 `seq` Curry_Prelude.nd_C_apply (let s6 = leftSupply s7
                                                        s5 = rightSupply s7
    in s6 `seq` (s5 `seq` Curry_Prelude.nd_C_apply
    (FlatCurry.Annotated.Curry_Goodies.nd_C_updFuncBody s5 cd cs) (wrapDX id
    (Curry_Prelude.d_C_const x70)) s6 cd cs)) x4 s8 cd cs))))) x6 s10 cd cs))
    x71 (Curry_Prelude.nd_OP_dot x8 x72 s12 cd cs)))))))))))))
  Curry_Prelude.Choice_OP_Tuple3 d i l r -> narrow d i (nd_C_liftCasesFunc x1 x2
    x3 x4 l s cd cs) (nd_C_liftCasesFunc x1 x2 x3 x4 r s cd cs)
  Curry_Prelude.Choices_OP_Tuple3 d i xs -> narrows cs d i (\z ->
    nd_C_liftCasesFunc x1 x2 x3 x4 z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple3 d c e -> guardCons d c (nd_C_liftCasesFunc x1 x2
    x3 x4 e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple3 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc" [show x1, show x2, show x3, show x4, show x5] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc" (showCons x5))

d_OP_liftCasesFunc_dot_var_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.C_Int -> Curry_Prelude.C_Int -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_var_dot_18 x1 x2 x3 cd cs = Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AVar x1 x2) x3 Curry_Prelude.d_C_id
  (Curry_Prelude.OP_Cons (Curry_Prelude.OP_Tuple2 x2 x1) Curry_Prelude.OP_List)

nd_OP_liftCasesFunc_dot_var_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.C_Int -> Curry_Prelude.C_Int -> IDSupply -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_var_dot_18 x1 x2 x3 s cd cs = Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AVar x1 x2) x3 (wrapDX id
  Curry_Prelude.d_C_id) (Curry_Prelude.OP_Cons (Curry_Prelude.OP_Tuple2 x2 x1)
  Curry_Prelude.OP_List)

d_OP_liftCasesFunc_dot_lit_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> FlatCurry.Curry_Types.C_Literal -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_lit_dot_18 x1 x2 x3 cd cs = Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ALit x1 x2) x3 Curry_Prelude.d_C_id
  Curry_Prelude.OP_List

nd_OP_liftCasesFunc_dot_lit_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> FlatCurry.Curry_Types.C_Literal -> Curry_Prelude.C_Int -> IDSupply -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_lit_dot_18 x1 x2 x3 s cd cs = Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ALit x1 x2) x3 (wrapDX id
  Curry_Prelude.d_C_id) Curry_Prelude.OP_List

d_OP_liftCasesFunc_dot_comb_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> FlatCurry.Curry_Types.C_CombType -> Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_List (Curry_Prelude.C_Int -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_comb_dot_18 x1 x2 x3 x4 x5 cd cs = let x6 = d_C_sequence
                                                                x4 x5 cd cs
                                                              x7 = d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick
                                                                x6 cd cs
                                                              x8 = d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick
                                                                x6 cd cs
                                                              x9 = d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff
                                                                x6 cd cs
                                                              x10 = d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs
                                                                x6 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AComb x1 x2 x3
  x7) x8 x9 x10

nd_OP_liftCasesFunc_dot_comb_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> FlatCurry.Curry_Types.C_CombType -> Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_List (Func Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))) -> Curry_Prelude.C_Int -> IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_comb_dot_18 x1 x2 x3 x4 x5 s cd cs = let s5 = s
  in s5 `seq` (let s6 = leftSupply s5
                   s7 = rightSupply s5
                   s0 = leftSupply s6
                   s1 = rightSupply s6
                   s2 = leftSupply s7
                   s8 = rightSupply s7
                   s3 = leftSupply s8
                   s4 = rightSupply s8
  in s6 `seq` (s7 `seq` (s0 `seq` (s1 `seq` (s2 `seq` (s8 `seq` (s3 `seq`
  (s4 `seq` (let x6 = nd_C_sequence x4 x5 s0 cd cs
                 x7 = nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick
                   x6 s1 cd cs
                 x8 = nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick
                   x6 s2 cd cs
                 x9 = nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff
                   x6 s3 cd cs
                 x10 = nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs
                   x6 s4 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AComb x1 x2 x3
  x7) x8 x9 x10)))))))))

d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick l
    cd cs)
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick z
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.comb.18._#selFP14#args'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.comb.18._#selFP14#args'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick
    l s cd cs)
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick
    r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick z
    s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP14_hash_args_tick
    e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.comb.18._#selFP14#args'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.comb.18._#selFP14#args'"
    (showCons x1))

d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick l cd
    cs) (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.comb.18._#selFP15#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.comb.18._#selFP15#i'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP15_hash_i_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.comb.18._#selFP15#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.comb.18._#selFP15#i'"
    (showCons x1))

d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff l cd cs)
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.comb.18._#selFP16#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.comb.18._#selFP16#ff"
    (showCons x1))

nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff l s cd
    cs) (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP16_hash_ff e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.comb.18._#selFP16#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.comb.18._#selFP16#ff"
    (showCons x1))

d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs l cd cs)
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.comb.18._#selFP17#vs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.comb.18._#selFP17#vs"
    (showCons x1))

nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs l s cd
    cs) (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_comb_dot_18_dot_uscore_hash_selFP17_hash_vs e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.comb.18._#selFP17#vs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.comb.18._#selFP17#vs"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr) (Curry_Prelude.C_Int
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))) -> (Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_leT_dot_18 x1 x2 x3 x4 cd cs =
  let x5 = Curry_Prelude.d_C_unzip x2 cd cs
      x6 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs x5
        cd cs
      x7 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es x5
        cd cs
      x8 = d_C_sequence x7 x4 cd cs
      x9 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick
        x8 cd cs
      x10 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick
        x8 cd cs
      x11 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes
        x8 cd cs
      x12 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves
        x8 cd cs
      x13 = Curry_Prelude.d_C_apply x3 x10 cd cs
      x14 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick
        x13 cd cs
      x15 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
        x13 cd cs
      x16 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe
        x13 cd cs
      x17 = d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve
        x13 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_ALet x1
  (Curry_Prelude.d_C_zip x6 x9 cd cs) x14) x15 (Curry_Prelude.d_OP_dot x11 x16
  cd cs) (Curry_Prelude.d_C_filter
  (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_lambda3 x6)
  (Curry_Prelude.d_OP_plus_plus x12 x17 cd cs) cd cs)

nd_OP_liftCasesFunc_dot_leT_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr) (Func
  Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))))) -> Func Curry_Prelude.C_Int
  (Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_leT_dot_18 x1 x2 x3 x4 s cd cs = let s15 = s
  in s15 `seq` (let s16 = leftSupply s15
                    s21 = rightSupply s15
                    s17 = leftSupply s16
                    s19 = rightSupply s16
                    s0 = leftSupply s17
                    s18 = rightSupply s17
                    s1 = leftSupply s18
                    s2 = rightSupply s18
                    s3 = leftSupply s19
                    s20 = rightSupply s19
                    s4 = leftSupply s20
                    s5 = rightSupply s20
                    s22 = leftSupply s21
                    s24 = rightSupply s21
                    s6 = leftSupply s22
                    s23 = rightSupply s22
                    s7 = leftSupply s23
                    s8 = rightSupply s23
                    s25 = leftSupply s24
                    s26 = rightSupply s24
                    s9 = leftSupply s25
                    s10 = rightSupply s25
                    s11 = leftSupply s26
                    s14 = rightSupply s26
  in s16 `seq` (s21 `seq` (s17 `seq` (s19 `seq` (s0 `seq` (s18 `seq` (s1 `seq`
  (s2 `seq` (s3 `seq` (s20 `seq` (s4 `seq` (s5 `seq` (s22 `seq` (s24 `seq`
  (s6 `seq` (s23 `seq` (s7 `seq` (s8 `seq` (s25 `seq` (s26 `seq` (s9 `seq`
  (s10 `seq` (s11 `seq` (s14 `seq` (let x5 = Curry_Prelude.d_C_unzip x2 cd cs
                                        x6 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs
                                          x5 s0 cd cs
                                        x7 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es
                                          x5 s1 cd cs
                                        x8 = nd_C_sequence x7 x4 s2 cd cs
                                        x9 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick
                                          x8 s3 cd cs
                                        x10 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick
                                          x8 s4 cd cs
                                        x11 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes
                                          x8 s5 cd cs
                                        x12 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves
                                          x8 s6 cd cs
                                        x13 = Curry_Prelude.nd_C_apply x3 x10 s7
                                          cd cs
                                        x14 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick
                                          x13 s8 cd cs
                                        x15 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
                                          x13 s9 cd cs
                                        x16 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe
                                          x13 s10 cd cs
                                        x17 = nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve
                                          x13 s11 cd cs
  in let s12 = leftSupply s14
         s13 = rightSupply s14
  in s12 `seq` (s13 `seq` Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ALet x1 (Curry_Prelude.d_C_zip x6 x9 cd cs)
  x14) x15 (Curry_Prelude.nd_OP_dot x11 x16 s12 cd cs)
  (Curry_Prelude.nd_C_filter (wrapDX id
  (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_lambda3 x6))
  (Curry_Prelude.d_OP_plus_plus x12 x17 cd cs) s13 cd
  cs)))))))))))))))))))))))))))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List (Curry_Prelude.C_Int
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x2
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs l cd cs)
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP29#vs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP29#vs"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List (Func
  Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))))) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x2
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs l s cd
    cs) (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP29_hash_vs e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP29#vs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP29#vs"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List (Curry_Prelude.C_Int
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.C_Int -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x3
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es l cd cs)
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es r cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP30#es" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP30#es"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es :: Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List (Func
  Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))))) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Func Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))))
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple2 x2 x3 -> x3
  Curry_Prelude.Choice_OP_Tuple2 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es l s cd
    cs) (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple2 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple2 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP30_hash_es e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple2 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP30#es" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP30#es"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick l cd
    cs) (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP25#es'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP25#es'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP25_hash_es_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP25#es'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP25#es'"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick l cd
    cs) (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP26#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP26#i'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP26_hash_i_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP26#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP26#i'"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes l cd
    cs) (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP27#ffes" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP27#ffes"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes l s cd
    cs) (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP27_hash_ffes e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP27#ffes" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP27#ffes"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves l cd cs)
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP28#ves" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP28#ves"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves l s cd
    cs) (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP28_hash_ves e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP28#ves" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP28#ves"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick l cd
    cs) (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP21#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP21#e'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP21_hash_e_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP21#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP21#e'"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
    l cd cs)
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick z
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
    e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP22#i''" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP22#i''"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
    l s cd cs)
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
    r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
    z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP22_hash_i_tick_tick
    e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP22#i''" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP22#i''"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe l cd cs)
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP23#ffe" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP23#ffe"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe l s cd
    cs) (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP23_hash_ffe e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP23#ffe" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP23#ffe"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve l cd cs)
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP24#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP24#ve"
    (showCons x1))

nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve l s cd
    cs) (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_selFP24_hash_ve e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.leT.18._#selFP24#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.leT.18._#selFP24#ve"
    (showCons x1))

d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_lambda3 :: Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
  -> Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Curry_Prelude.C_Bool
d_OP_liftCasesFunc_dot_leT_dot_18_dot_uscore_hash_lambda3 x1 x2 cd cs =
  Curry_Prelude.d_C_apply (Curry_Prelude.d_C_notElem
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Int cd
  cs) (Curry_Prelude.d_C_fst x2 cd cs) cd cs) (Curry_Prelude.d_C_map
  Curry_Prelude.d_C_fst x1 cd cs) cd cs

d_OP_liftCasesFunc_dot_freE_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr) -> (Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_freE_dot_18 x1 x2 x3 x4 cd cs =
  let x5 = Curry_Prelude.d_C_apply x3 x4 cd cs
      x6 = d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick
        x5 cd cs
      x7 = d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick
        x5 cd cs
      x8 = d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff x5
        cd cs
      x9 = d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve x5
        cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AFree x1 x2 x6)
  x7 x8 (Curry_Prelude.d_C_filter
  (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_lambda4 x2) x9 cd cs)

nd_OP_liftCasesFunc_dot_freE_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr) -> Func Curry_Prelude.C_Int
  (Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_freE_dot_18 x1 x2 x3 x4 s cd cs = let s6 = s
  in s6 `seq` (let s7 = leftSupply s6
                   s9 = rightSupply s6
                   s0 = leftSupply s7
                   s8 = rightSupply s7
                   s1 = leftSupply s8
                   s2 = rightSupply s8
                   s3 = leftSupply s9
                   s10 = rightSupply s9
                   s4 = leftSupply s10
                   s5 = rightSupply s10
  in s7 `seq` (s9 `seq` (s0 `seq` (s8 `seq` (s1 `seq` (s2 `seq` (s3 `seq`
  (s10 `seq` (s4 `seq` (s5 `seq` (let x5 = Curry_Prelude.nd_C_apply x3 x4 s0 cd
                                        cs
                                      x6 = nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick
                                        x5 s1 cd cs
                                      x7 = nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick
                                        x5 s2 cd cs
                                      x8 = nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff
                                        x5 s3 cd cs
                                      x9 = nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve
                                        x5 s4 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AFree x1 x2 x6)
  x7 x8 (Curry_Prelude.nd_C_filter (wrapDX id
  (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_lambda4 x2)) x9 s5 cd
  cs))))))))))))

d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick l cd
    cs) (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.freE.18._#selFP32#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.freE.18._#selFP32#e'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP32_hash_e_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.freE.18._#selFP32#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.freE.18._#selFP32#e'"
    (showCons x1))

d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick l cd
    cs) (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.freE.18._#selFP33#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.freE.18._#selFP33#i'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP33_hash_i_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.freE.18._#selFP33#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.freE.18._#selFP33#i'"
    (showCons x1))

d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff l cd cs)
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.freE.18._#selFP34#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.freE.18._#selFP34#ff"
    (showCons x1))

nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff l s cd
    cs) (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP34_hash_ff e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.freE.18._#selFP34#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.freE.18._#selFP34#ff"
    (showCons x1))

d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve l cd cs)
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.freE.18._#selFP35#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.freE.18._#selFP35#ve"
    (showCons x1))

nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve l s cd
    cs) (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_selFP35_hash_ve e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.freE.18._#selFP35#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.freE.18._#selFP35#ve"
    (showCons x1))

d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_lambda4 :: Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
  -> Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Curry_Prelude.C_Bool
d_OP_liftCasesFunc_dot_freE_dot_18_dot_uscore_hash_lambda4 x1 x2 cd cs =
  Curry_Prelude.d_C_apply (Curry_Prelude.d_C_notElem
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Int cd
  cs) (Curry_Prelude.d_C_fst x2 cd cs) cd cs) (Curry_Prelude.d_C_map
  Curry_Prelude.d_C_fst x1 cd cs) cd cs

d_OP_liftCasesFunc_dot_or_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> (Curry_Prelude.C_Int -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> (Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_or_dot_18 x1 x2 x3 x4 cd cs = let x5 = d_C_sequence
                                                           (Curry_Prelude.OP_Cons
                                                           x2
                                                           (Curry_Prelude.OP_Cons
                                                           x3
                                                           Curry_Prelude.OP_List))
                                                           x4 cd cs
                                                         x6 = d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick
                                                           x5 cd cs
                                                         x7 = d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick
                                                           x5 cd cs
                                                         x8 = d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick
                                                           x5 cd cs
                                                         x9 = d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff
                                                           x5 cd cs
                                                         x10 = d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs
                                                           x5 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AOr x1 x6 x7) x8
  x9 x10

nd_OP_liftCasesFunc_dot_or_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr -> Func
  Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Func Curry_Prelude.C_Int
  (Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_or_dot_18 x1 x2 x3 x4 s cd cs = let s6 = s
  in s6 `seq` (let s7 = leftSupply s6
                   s9 = rightSupply s6
                   s0 = leftSupply s7
                   s8 = rightSupply s7
                   s1 = leftSupply s8
                   s2 = rightSupply s8
                   s3 = leftSupply s9
                   s10 = rightSupply s9
                   s4 = leftSupply s10
                   s5 = rightSupply s10
  in s7 `seq` (s9 `seq` (s0 `seq` (s8 `seq` (s1 `seq` (s2 `seq` (s3 `seq`
  (s10 `seq` (s4 `seq` (s5 `seq` (let x5 = nd_C_sequence (Curry_Prelude.OP_Cons
                                        x2 (Curry_Prelude.OP_Cons x3
                                        Curry_Prelude.OP_List)) x4 s0 cd cs
                                      x6 = nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick
                                        x5 s1 cd cs
                                      x7 = nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick
                                        x5 s2 cd cs
                                      x8 = nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick
                                        x5 s3 cd cs
                                      x9 = nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff
                                        x5 s4 cd cs
                                      x10 = nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs
                                        x5 s5 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AOr x1 x6 x7) x8
  x9 x10)))))))))))

d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_17 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick l cd
    cs) (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP37#e1'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP37#e1'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_17 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP37_hash_e1_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP37#e1'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP37#e1'"
    (showCons x1))

d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_14 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick l cd
    cs) (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP38#e2'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP38#e2'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_14 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP38_hash_e2_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP38#e2'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP38#e2'"
    (showCons x1))

d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_11 x3 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick l cd
    cs) (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP39#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP39#i'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_11 x3 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP39_hash_i_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP39#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP39#i'"
    (showCons x1))

d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_8 x4 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff l cd cs)
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP40#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP40#ff"
    (showCons x1))

nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> let s0 = s
    in s0 `seq` nd_C__case_8 x4 x2 s0 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff l s cd
    cs) (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff z s cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP40_hash_ff e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP40#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP40#ff"
    (showCons x1))

d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_5 x5 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs l cd cs)
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP41#vs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP41#vs"
    (showCons x1))

nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> d_C__case_5 x5 x2 cd cs
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs l s cd
    cs) (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs z s cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_or_dot_18_dot_uscore_hash_selFP41_hash_vs e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.or.18._#selFP41#vs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.or.18._#selFP41#vs"
    (showCons x1))

d_OP_liftCasesFunc_dot_casE_dot_18 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> FlatCurry.Curry_Types.C_TypeExpr -> FlatCurry.Curry_Types.C_CaseType
  -> (Curry_Prelude.C_Int -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.OP_List
  (Curry_Prelude.C_Int -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_casE_dot_18 x1 x2 x3 x4 x5 x6 x7 cd cs =
  let x8 = Curry_Prelude.d_C_apply x5 x7 cd cs
      x9 = d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick
        x8 cd cs
      x10 = d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick
        x8 cd cs
      x11 = d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe
        x8 cd cs
      x12 = d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve
        x8 cd cs
      x13 = d_C_sequence x6 x10 cd cs
      x14 = d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick
        x13 cd cs
      x15 = d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
        x13 cd cs
      x16 = d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs
        x13 cd cs
      x17 = d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs
        x13 cd cs
      x18 = Curry_List.d_C_nub
        (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lparen_comma_rparen
        (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Int
        cd cs)
        (FlatCurry.Curry_Types.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_FlatCurry_dot_Types_dot_TypeExpr
        cd cs) cd cs) (Curry_Prelude.d_OP_plus_plus x12 x17 cd cs) cd cs
      x19 = d_C__case_2 x18 x9 cd cs
  in Curry_Prelude.OP_Tuple4 (d_C_genFuncCall x2 x1 x15 x3 x19 x9 cd cs)
  (Curry_Prelude.d_OP_uscore_impl_hash_plus_hash_Prelude_dot_Num_hash_Prelude_dot_Int
  x15 (Curry_Prelude.C_Int (1)) cd cs) (Curry_Prelude.d_OP_dot (acceptCs id
  (Curry_Prelude.OP_Cons (d_C_genFunc x2 x1 x15 x3 x19 x9 x4 x14 cd cs)))
  (Curry_Prelude.d_OP_dot x11 x16 cd cs) cd cs) x18

nd_OP_liftCasesFunc_dot_casE_dot_18 :: Curry_Prelude.OP_List
  Curry_Prelude.C_Char -> Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> FlatCurry.Curry_Types.C_TypeExpr -> FlatCurry.Curry_Types.C_CaseType
  -> Func Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.OP_List (Func
  Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))) -> Curry_Prelude.C_Int -> IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_casE_dot_18 x1 x2 x3 x4 x5 x6 x7 s cd cs = let s20 = s
  in s20 `seq` (let s21 = leftSupply s20
                    s26 = rightSupply s20
                    s22 = leftSupply s21
                    s24 = rightSupply s21
                    s0 = leftSupply s22
                    s23 = rightSupply s22
                    s1 = leftSupply s23
                    s2 = rightSupply s23
                    s3 = leftSupply s24
                    s25 = rightSupply s24
                    s4 = leftSupply s25
                    s5 = rightSupply s25
                    s27 = leftSupply s26
                    s29 = rightSupply s26
                    s6 = leftSupply s27
                    s28 = rightSupply s27
                    s7 = leftSupply s28
                    s8 = rightSupply s28
                    s9 = leftSupply s29
                    s30 = rightSupply s29
                    s16 = leftSupply s30
                    s19 = rightSupply s30
  in s21 `seq` (s26 `seq` (s22 `seq` (s24 `seq` (s0 `seq` (s23 `seq` (s1 `seq`
  (s2 `seq` (s3 `seq` (s25 `seq` (s4 `seq` (s5 `seq` (s27 `seq` (s29 `seq`
  (s6 `seq` (s28 `seq` (s7 `seq` (s8 `seq` (s9 `seq` (s30 `seq` (s16 `seq`
  (s19 `seq` (let x8 = Curry_Prelude.nd_C_apply x5 x7 s0 cd cs
                  x9 = nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick
                    x8 s1 cd cs
                  x10 = nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick
                    x8 s2 cd cs
                  x11 = nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe
                    x8 s3 cd cs
                  x12 = nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve
                    x8 s4 cd cs
                  x13 = nd_C_sequence x6 x10 s5 cd cs
                  x14 = nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick
                    x13 s6 cd cs
                  x15 = nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
                    x13 s7 cd cs
                  x16 = nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs
                    x13 s8 cd cs
                  x17 = nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs
                    x13 s9 cd cs
                  x18 = let s15 = leftSupply s16
                            s13 = rightSupply s16
                    in s15 `seq` (s13 `seq` Curry_List.nd_C_nub
                    (let s12 = leftSupply s13
                         s14 = rightSupply s13
                         s10 = leftSupply s14
                         s11 = rightSupply s14
                    in s12 `seq` (s14 `seq` (s10 `seq` (s11 `seq`
                    Curry_Prelude.nd_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lparen_comma_rparen
                    (Curry_Prelude.nd_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Int
                    s10 cd cs)
                    (FlatCurry.Curry_Types.nd_OP_uscore_inst_hash_Prelude_dot_Eq_hash_FlatCurry_dot_Types_dot_TypeExpr
                    s11 cd cs) s12 cd cs)))) (Curry_Prelude.d_OP_plus_plus x12
                    x17 cd cs) s15 cd cs)
                  x19 = d_C__case_2 x18 x9 cd cs
  in Curry_Prelude.OP_Tuple4 (d_C_genFuncCall x2 x1 x15 x3 x19 x9 cd cs)
  (Curry_Prelude.d_OP_uscore_impl_hash_plus_hash_Prelude_dot_Num_hash_Prelude_dot_Int
  x15 (Curry_Prelude.C_Int (1)) cd cs) (let s18 = leftSupply s19
                                            s17 = rightSupply s19
  in s18 `seq` (s17 `seq` Curry_Prelude.nd_OP_dot (wrapDX id (acceptCs id
  (Curry_Prelude.OP_Cons (d_C_genFunc x2 x1 x15 x3 x19 x9 x4 x14 cd cs))))
  (Curry_Prelude.nd_OP_dot x11 x16 s17 cd cs) s18 cd cs))
  x18)))))))))))))))))))))))

d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick l cd
    cs) (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP48#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP48#e'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP48_hash_e_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP48#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP48#e'"
    (showCons x1))

d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick l cd
    cs) (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP49#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP49#i'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP49_hash_i_tick e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP49#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP49#i'"
    (showCons x1))

d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe l cd
    cs) (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP50#ffe" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP50#ffe"
    (showCons x1))

nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe l s cd
    cs) (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP50_hash_ffe e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP50#ffe" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP50#ffe"
    (showCons x1))

d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve l cd cs)
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP51#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP51#ve"
    (showCons x1))

nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve l s cd
    cs) (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP51_hash_ve e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP51#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP51#ve"
    (showCons x1))

d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick l
    cd cs)
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP44#bs'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP44#bs'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick l
    s cd cs)
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP44_hash_bs_tick e
    s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP44#bs'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP44#bs'"
    (showCons x1))

d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
    l cd cs)
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
    r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
    z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
    e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP45#i''" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP45#i''"
    (showCons x1))

nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
    l s cd cs)
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
    r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
    z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP45_hash_i_tick_tick
    e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP45#i''" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP45#i''"
    (showCons x1))

d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs l cd
    cs) (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP46#ffbs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP46#ffbs"
    (showCons x1))

nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP46_hash_ffbs e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP46#ffbs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP46#ffbs"
    (showCons x1))

d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs l cd
    cs) (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP47#vbs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP47#vbs"
    (showCons x1))

nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs l s cd
    cs) (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_casE_dot_18_dot_uscore_hash_selFP47_hash_vbs e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.casE.18._#selFP47#vbs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.casE.18._#selFP47#vbs"
    (showCons x1))

d_OP_liftCasesFunc_dot_branch_dot_18 :: FlatCurry.Annotated.Curry_Types.C_APattern
  FlatCurry.Curry_Types.C_TypeExpr -> (Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_branch_dot_18 x1 x2 x3 cd cs =
  let x4 = Curry_Prelude.d_C_apply x2 x3 cd cs
      x5 = d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick
        x4 cd cs
      x6 = d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick
        x4 cd cs
      x7 = d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff
        x4 cd cs
      x8 = d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve
        x4 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_ABranch x1 x5)
  x6 x7 (Curry_Prelude.d_C_apply (d_C_removePVars x8 cd cs) x1 cd cs)

nd_OP_liftCasesFunc_dot_branch_dot_18 :: FlatCurry.Annotated.Curry_Types.C_APattern
  FlatCurry.Curry_Types.C_TypeExpr -> Func Curry_Prelude.C_Int
  (Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int -> IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_branch_dot_18 x1 x2 x3 s cd cs = let s6 = s
  in s6 `seq` (let s7 = leftSupply s6
                   s9 = rightSupply s6
                   s0 = leftSupply s7
                   s8 = rightSupply s7
                   s1 = leftSupply s8
                   s2 = rightSupply s8
                   s3 = leftSupply s9
                   s10 = rightSupply s9
                   s4 = leftSupply s10
                   s5 = rightSupply s10
  in s7 `seq` (s9 `seq` (s0 `seq` (s8 `seq` (s1 `seq` (s2 `seq` (s3 `seq`
  (s10 `seq` (s4 `seq` (s5 `seq` (let x4 = Curry_Prelude.nd_C_apply x2 x3 s0 cd
                                        cs
                                      x5 = nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick
                                        x4 s1 cd cs
                                      x6 = nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick
                                        x4 s2 cd cs
                                      x7 = nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff
                                        x4 s3 cd cs
                                      x8 = nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve
                                        x4 s4 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_ABranch x1 x5)
  x6 x7 (Curry_Prelude.nd_C_apply (wrapDX id (d_C_removePVars x8 cd cs)) x1 s5
  cd cs))))))))))))

d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick l
    cd cs)
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick z
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.branch.18._#selFP53#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.branch.18._#selFP53#e'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick l
    s cd cs)
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick z
    s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP53_hash_e_tick e
    s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.branch.18._#selFP53#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.branch.18._#selFP53#e'"
    (showCons x1))

d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick l
    cd cs)
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick z
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.branch.18._#selFP54#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.branch.18._#selFP54#i'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick l
    s cd cs)
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick z
    s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP54_hash_i_tick e
    s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.branch.18._#selFP54#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.branch.18._#selFP54#i'"
    (showCons x1))

d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff l cd
    cs) (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.branch.18._#selFP55#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.branch.18._#selFP55#ff"
    (showCons x1))

nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP55_hash_ff e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.branch.18._#selFP55#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.branch.18._#selFP55#ff"
    (showCons x1))

d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve l cd
    cs) (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.branch.18._#selFP56#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.branch.18._#selFP56#ve"
    (showCons x1))

nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve l s
    cd cs)
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve r s
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_branch_dot_18_dot_uscore_hash_selFP56_hash_ve e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.branch.18._#selFP56#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.branch.18._#selFP56#ve"
    (showCons x1))

d_OP_liftCasesFunc_dot_typed_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr
  -> (Curry_Prelude.C_Int -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.C_Int -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_typed_dot_18 x1 x2 x3 x4 cd cs =
  let x5 = Curry_Prelude.d_C_apply x2 x4 cd cs
      x6 = d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick
        x5 cd cs
      x7 = d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick
        x5 cd cs
      x8 = d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff
        x5 cd cs
      x9 = d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve
        x5 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_ATyped x1 x6 x3)
  x7 x8 x9

nd_OP_liftCasesFunc_dot_typed_dot_18 :: FlatCurry.Curry_Types.C_TypeExpr -> Func
  Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.C_Int -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_typed_dot_18 x1 x2 x3 x4 s cd cs = let s5 = s
  in s5 `seq` (let s6 = leftSupply s5
                   s7 = rightSupply s5
                   s0 = leftSupply s6
                   s1 = rightSupply s6
                   s2 = leftSupply s7
                   s8 = rightSupply s7
                   s3 = leftSupply s8
                   s4 = rightSupply s8
  in s6 `seq` (s7 `seq` (s0 `seq` (s1 `seq` (s2 `seq` (s8 `seq` (s3 `seq`
  (s4 `seq` (let x5 = Curry_Prelude.nd_C_apply x2 x4 s0 cd cs
                 x6 = nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick
                   x5 s1 cd cs
                 x7 = nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick
                   x5 s2 cd cs
                 x8 = nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff
                   x5 s3 cd cs
                 x9 = nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve
                   x5 s4 cd cs
  in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_ATyped x1 x6 x3)
  x7 x8 x9)))))))))

d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick l
    cd cs)
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.typed.18._#selFP58#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.typed.18._#selFP58#e'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick l
    s cd cs)
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP58_hash_e_tick e
    s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.typed.18._#selFP58#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.typed.18._#selFP58#e'"
    (showCons x1))

d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick l
    cd cs)
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick z cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick e
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.typed.18._#selFP59#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.typed.18._#selFP59#i'"
    (showCons x1))

nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick l
    s cd cs)
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick z s
    cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP59_hash_i_tick e
    s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.typed.18._#selFP59#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.typed.18._#selFP59#i'"
    (showCons x1))

d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff l cd
    cs) (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.typed.18._#selFP60#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.typed.18._#selFP60#ff"
    (showCons x1))

nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff l s cd
    cs) (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP60_hash_ff e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.typed.18._#selFP60#ff" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.typed.18._#selFP60#ff"
    (showCons x1))

d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve l cd
    cs) (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve r
    cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve z cd cs)
    xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.typed.18._#selFP61#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.typed.18._#selFP61#ve"
    (showCons x1))

nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x5
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve l s cd
    cs) (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve r
    s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve z s cd
    cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_typed_dot_18_dot_uscore_hash_selFP61_hash_ve e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc.typed.18._#selFP61#ve" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc.typed.18._#selFP61#ve"
    (showCons x1))

d_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP67#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP67#e'" (showCons
    x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick e s cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP67#e'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP67#e'" (showCons
    x1))

d_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP68#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP68#i'" (showCons
    x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick e s cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP68#i'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP68#i'" (showCons
    x1))

d_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP69#ffe" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP69#ffe" (showCons
    x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP69#ffe" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP69#ffe" (showCons
    x1))

d_OP_liftCasesFunc_dot_uscore_hash_lambda2 :: (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore -> Curry_Prelude.C_Int
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))
  -> FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore -> Curry_Prelude.C_Int
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 x2 cd cs = case x2 of
  FlatCurry.Annotated.Curry_Types.C_ABranch x3 x4 -> d_OP_liftCasesFunc_dot_branch_dot_18
    x3 (Curry_Prelude.d_C_apply x1 x4 cd cs)
  FlatCurry.Annotated.Curry_Types.Choice_C_ABranchExpr d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_ABranchExpr d i xs -> narrows cs d i
    (\z -> d_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_ABranchExpr d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_ABranchExpr d info -> failCons d
    (traceFail "LiftCase.liftCasesFunc._#lambda2" [show x1, show x2] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#lambda2" (showCons x2))

nd_OP_liftCasesFunc_dot_uscore_hash_lambda2 :: Func
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  (Func Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))))
  -> FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr -> IDSupply -> Cover -> ConstStore -> Func
  Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))
nd_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 x2 s cd cs = case x2 of
  FlatCurry.Annotated.Curry_Types.C_ABranch x3 x4 -> let s0 = s
    in s0 `seq` wrapNX id (nd_OP_liftCasesFunc_dot_branch_dot_18 x3
    (Curry_Prelude.nd_C_apply x1 x4 s0 cd cs))
  FlatCurry.Annotated.Curry_Types.Choice_C_ABranchExpr d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 r s cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_ABranchExpr d i xs -> narrows cs d i
    (\z -> nd_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 z s cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_ABranchExpr d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_lambda2 x1 e s cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_ABranchExpr d info -> failCons d
    (traceFail "LiftCase.liftCasesFunc._#lambda2" [show x1, show x2] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#lambda2" (showCons x2))

d_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP64#bs'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP64#bs'" (showCons
    x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)
nd_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick e s cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP64#bs'" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP64#bs'" (showCons
    x1))

d_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick x1 cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick e cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP65#i''" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP65#i''" (showCons
    x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick x1 s cd cs =
  case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP65#i''" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP65#i''" (showCons
    x1))

d_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP66#ffbs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP66#ffbs" (showCons
    x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs :: Curry_Prelude.OP_Tuple4
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr)) Curry_Prelude.C_Int (Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP66#ffbs" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP66#ffbs" (showCons
    x1))

d_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP70#exp" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP70#exp" (showCons
    x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
nd_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x2
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP70_hash_exp e s cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP70#exp" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP70#exp" (showCons
    x1))

d_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
d_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP71#iMain" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP71#iMain" (showCons
    x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore
  -> Curry_Prelude.C_Int
nd_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x3
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP71_hash_iMain e s cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP71#iMain" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP71#iMain" (showCons
    x1))

d_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain x1 cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain l cd cs)
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain r cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    d_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain z cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (d_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain e cd $! addCs c cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP72#ffeMain" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP72#ffeMain"
    (showCons x1))

nd_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> IDSupply -> Cover -> ConstStore -> Func
  (Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain x1 s cd cs = case x1 of
  Curry_Prelude.OP_Tuple4 x2 x3 x4 x5 -> x4
  Curry_Prelude.Choice_OP_Tuple4 d i l r -> narrow d i
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain l s cd cs)
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain r s cd cs)
  Curry_Prelude.Choices_OP_Tuple4 d i xs -> narrows cs d i (\z ->
    nd_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain z s cd cs) xs
  Curry_Prelude.Guard_OP_Tuple4 d c e -> guardCons d c
    (nd_OP_liftCasesFunc_dot_uscore_hash_selFP72_hash_ffeMain e s cd $! addCs c
    cs)
  Curry_Prelude.Fail_OP_Tuple4 d info -> failCons d (traceFail
    "LiftCase.liftCasesFunc._#selFP72#ffeMain" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.liftCasesFunc._#selFP72#ffeMain"
    (showCons x1))

d_C_genFuncCall :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Int
  -> FlatCurry.Curry_Types.C_TypeExpr -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
  -> Cover -> ConstStore -> FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr
d_C_genFuncCall x1 x2 x3 x4 x5 x6 cd cs = let x7 = Curry_Prelude.d_C_foldr
                                                (acceptCs (acceptCs id)
                                                FlatCurry.Curry_Types.C_FuncType)
                                                (FlatCurry.Curry_Types.C_FuncType
                                                (FlatCurry.Annotated.Curry_Goodies.d_C_annExpr
                                                x6 cd cs) x4)
                                                (Curry_Prelude.d_C_map
                                                Curry_Prelude.d_C_snd x5 cd cs)
                                                cd cs
  in FlatCurry.Annotated.Curry_Types.C_AComb x4 FlatCurry.Curry_Types.C_FuncCall
  (Curry_Prelude.OP_Tuple2 (d_C_newName x1 x2 x3 cd cs) x7)
  (Curry_Prelude.d_OP_plus_plus (Curry_Prelude.d_C_map
  (Curry_Prelude.d_C_uncurry (acceptCs id (Curry_Prelude.d_C_flip (acceptCs
  (acceptCs id) FlatCurry.Annotated.Curry_Types.C_AVar)))) x5 cd cs)
  (Curry_Prelude.OP_Cons x6 Curry_Prelude.OP_List) cd cs)

d_C_genFunc :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Int
  -> FlatCurry.Curry_Types.C_TypeExpr -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
  -> FlatCurry.Curry_Types.C_CaseType -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr
d_C_genFunc x1 x2 x3 x4 x5 x6 x7 x8 cd cs =
  let x9 = FlatCurry.Annotated.Curry_Goodies.d_C_annExpr x6 cd cs
      x10 = let x11 = d_C_nextLocalName (Curry_Prelude.d_OP_plus_plus
                  (Curry_Prelude.d_C_map Curry_Prelude.d_C_fst x5 cd cs)
                  (Curry_Prelude.d_C_apply (Curry_Prelude.d_C_concatMap
                  d_OP_genFunc_dot_allVarsBranch_dot_82 cd cs) x8 cd cs) cd cs)
                  cd cs
        in d_C__case_1 x11 x6 cd cs
      x36 = Curry_Prelude.d_OP_plus_plus x5 (Curry_Prelude.OP_Cons
        (Curry_Prelude.OP_Tuple2 x10 x9) Curry_Prelude.OP_List) cd cs
      x37 = Curry_Prelude.d_C_foldr (acceptCs (acceptCs id)
        FlatCurry.Curry_Types.C_FuncType) x4 (Curry_Prelude.d_C_map
        Curry_Prelude.d_C_snd x36 cd cs) cd cs
      x38 = FlatCurry.Annotated.Curry_Types.C_ARule x37 x36
        (FlatCurry.Annotated.Curry_Types.C_ACase x4 x7
        (FlatCurry.Annotated.Curry_Types.C_AVar x9 x10) x8)
  in FlatCurry.Annotated.Curry_Types.C_AFunc (d_C_newName x1 x2 x3 cd cs)
  (Curry_Prelude.d_C_length x36 cd cs) FlatCurry.Curry_Types.C_Private x37 x38

d_OP_genFunc_dot_allVarsBranch_dot_82 :: forall t0 . (Curry_Prelude.Curry
  t0) => FlatCurry.Annotated.Curry_Types.C_ABranchExpr t0 -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Int
d_OP_genFunc_dot_allVarsBranch_dot_82 x1 cd cs = case x1 of
  FlatCurry.Annotated.Curry_Types.C_ABranch x2 x3 -> Curry_Prelude.d_OP_plus_plus
    (FlatCurry.Annotated.Curry_Goodies.d_C_trPattern (acceptCs (acceptCs id)
    d_OP_genFunc_dot_allVarsBranch_dot_82_dot_uscore_hash_lambda7) (acceptCs id
    d_OP_genFunc_dot_allVarsBranch_dot_82_dot_uscore_hash_lambda8) x2 cd cs)
    (FlatCurry.Annotated.Curry_Goodies.d_C_allVars x3 cd cs) cd cs
  FlatCurry.Annotated.Curry_Types.Choice_C_ABranchExpr d i l r -> narrow d i
    (d_OP_genFunc_dot_allVarsBranch_dot_82 l cd cs)
    (d_OP_genFunc_dot_allVarsBranch_dot_82 r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_ABranchExpr d i xs -> narrows cs d i
    (\z -> d_OP_genFunc_dot_allVarsBranch_dot_82 z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_ABranchExpr d c e -> guardCons d c
    (d_OP_genFunc_dot_allVarsBranch_dot_82 e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_ABranchExpr d info -> failCons d
    (traceFail "LiftCase.genFunc.allVarsBranch.82" [show x1] info)
  _ -> failCons cd (consFail "LiftCase.genFunc.allVarsBranch.82" (showCons x1))

d_OP_genFunc_dot_allVarsBranch_dot_82_dot_uscore_hash_lambda7 :: forall t0 . (Curry_Prelude.Curry
  t0) => t0 -> Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) (Curry_Prelude.OP_List
  Curry_Prelude.C_Char)) t0 -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int t0) -> Cover -> ConstStore -> Curry_Prelude.OP_List
  Curry_Prelude.C_Int
d_OP_genFunc_dot_allVarsBranch_dot_82_dot_uscore_hash_lambda7 x1 x2 x3 cd cs =
  Curry_Prelude.d_C_map Curry_Prelude.d_C_fst x3 cd cs

d_OP_genFunc_dot_allVarsBranch_dot_82_dot_uscore_hash_lambda8 :: forall t0 . (Curry_Prelude.Curry
  t0) => t0 -> FlatCurry.Curry_Types.C_Literal -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Int
d_OP_genFunc_dot_allVarsBranch_dot_82_dot_uscore_hash_lambda8 x1 x2 cd cs =
  Curry_Prelude.OP_List

d_C_removePVars :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_APattern FlatCurry.Curry_Types.C_TypeExpr
  -> Cover -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
d_C_removePVars x1 cd cs = FlatCurry.Annotated.Curry_Goodies.d_C_trPattern
  (acceptCs (acceptCs id) (d_OP_removePVars_dot_uscore_hash_lambda9 x1))
  (acceptCs id (d_OP_removePVars_dot_uscore_hash_lambda11 x1))

d_OP_removePVars_dot_uscore_hash_lambda9 :: Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
  -> FlatCurry.Curry_Types.C_TypeExpr -> Curry_Prelude.OP_Tuple2
  (Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List Curry_Prelude.C_Char)
  (Curry_Prelude.OP_List Curry_Prelude.C_Char)) FlatCurry.Curry_Types.C_TypeExpr
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)
d_OP_removePVars_dot_uscore_hash_lambda9 x1 x2 x3 x4 cd cs =
  Curry_Prelude.d_C_filter
  (d_OP_removePVars_dot_uscore_hash_lambda9_dot_uscore_hash_lambda10 x4) x1 cd
  cs

d_OP_removePVars_dot_uscore_hash_lambda9_dot_uscore_hash_lambda10 :: Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
  -> Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Curry_Prelude.C_Bool
d_OP_removePVars_dot_uscore_hash_lambda9_dot_uscore_hash_lambda10 x1 x2 cd cs =
  Curry_Prelude.d_C_apply (Curry_Prelude.d_C_notElem
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Int cd
  cs) (Curry_Prelude.d_C_fst x2 cd cs) cd cs) (Curry_Prelude.d_C_map
  Curry_Prelude.d_C_fst x1 cd cs) cd cs

d_OP_removePVars_dot_uscore_hash_lambda11 :: Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
  -> FlatCurry.Curry_Types.C_TypeExpr -> FlatCurry.Curry_Types.C_Literal
  -> Cover -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
d_OP_removePVars_dot_uscore_hash_lambda11 x1 x2 x3 cd cs = x1

d_C_genAuxName :: Cover -> ConstStore -> Curry_Prelude.OP_List
  (Curry_Prelude.OP_List Curry_Prelude.C_Char) -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_genAuxName cd cs = Curry_Prelude.d_C_foldl (acceptCs id d_C_addUnderscores)
  (Curry_Prelude.toCurryString "_case_")

d_C_addUnderscores :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Cover -> ConstStore
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C_addUnderscores x1 x2 cd cs = d_C__case_0 x2 x1 (Curry_List.d_C_isPrefixOf
  (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Char cd
  cs) x1 x2 cd cs) cd cs

d_C_newName :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple2 (Curry_Prelude.OP_List
  Curry_Prelude.C_Char) (Curry_Prelude.OP_List Curry_Prelude.C_Char)
d_C_newName x1 x2 x3 cd cs = Curry_Prelude.OP_Tuple2 x1
  (Curry_Prelude.d_OP_plus_plus x2 (Curry_Prelude.d_C_apply
  (Curry_Prelude.d_OP_uscore_impl_hash_show_hash_Prelude_dot_Show_hash_Prelude_dot_Int
  cd cs) x3 cd cs) cd cs)

d_C_nextLocalName :: Curry_Prelude.OP_List Curry_Prelude.C_Int -> Cover
  -> ConstStore -> Curry_Prelude.C_Int
d_C_nextLocalName x1 cd cs =
  Curry_Prelude.d_OP_uscore_impl_hash_plus_hash_Prelude_dot_Num_hash_Prelude_dot_Int
  (Curry_Prelude.d_C_foldr
  (Curry_Prelude.d_OP_uscore_impl_hash_max_hash_Prelude_dot_Ord_hash_Prelude_dot_Int
  cd cs) (Curry_Prelude.C_Int (0)) x1 cd cs) (Curry_Prelude.C_Int (1)) cd cs

d_C__case_0 :: Curry_Prelude.OP_List Curry_Prelude.C_Char
  -> Curry_Prelude.OP_List Curry_Prelude.C_Char -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.OP_List Curry_Prelude.C_Char
d_C__case_0 x2 x1 x3 cd cs = case x3 of
  Curry_Prelude.C_True -> d_C_addUnderscores (Curry_Prelude.d_OP_plus_plus x1
    (Curry_Prelude.toCurryString "_") cd cs) x2 cd cs
  Curry_Prelude.C_False -> x1
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_0 x2 x1 l cd cs)
    (d_C__case_0 x2 x1 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_0 x2 x1
    z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_0 x2 x1 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail "LiftCase._case_0"
    [show x2, show x1, show x3] info)
  _ -> failCons cd (consFail "LiftCase._case_0" (showCons x3))

d_C__case_1 :: Curry_Prelude.C_Int -> FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore -> Curry_Prelude.C_Int
d_C__case_1 x11 x6 cd cs = case x6 of
  FlatCurry.Annotated.Curry_Types.C_AVar x12 x13 -> x13
  FlatCurry.Annotated.Curry_Types.C_ALit x14 x15 -> x11
  FlatCurry.Annotated.Curry_Types.C_AComb x16 x17 x18 x19 -> x11
  FlatCurry.Annotated.Curry_Types.C_ALet x20 x21 x22 -> x11
  FlatCurry.Annotated.Curry_Types.C_AFree x23 x24 x25 -> x11
  FlatCurry.Annotated.Curry_Types.C_AOr x26 x27 x28 -> x11
  FlatCurry.Annotated.Curry_Types.C_ACase x29 x30 x31 x32 -> x11
  FlatCurry.Annotated.Curry_Types.C_ATyped x33 x34 x35 -> x11
  FlatCurry.Annotated.Curry_Types.Choice_C_AExpr d i l r -> narrow d i
    (d_C__case_1 x11 l cd cs) (d_C__case_1 x11 r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AExpr d i xs -> narrows cs d i
    (\z -> d_C__case_1 x11 z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AExpr d c e -> guardCons d c
    (d_C__case_1 x11 e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AExpr d info -> failCons d (traceFail
    "LiftCase._case_1" [show x11, show x6] info)
  _ -> failCons cd (consFail "LiftCase._case_1" (showCons x6))

d_C__case_2 :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
  -> Cover -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
d_C__case_2 x18 x9 cd cs = case x9 of
  FlatCurry.Annotated.Curry_Types.C_AVar x20 x21 -> Curry_Prelude.d_C_apply
    (Curry_Prelude.d_C_apply (Curry_List.d_C_delete
    (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_lparen_comma_rparen
    (Curry_Prelude.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_Prelude_dot_Int cd
    cs)
    (FlatCurry.Curry_Types.d_OP_uscore_inst_hash_Prelude_dot_Eq_hash_FlatCurry_dot_Types_dot_TypeExpr
    cd cs) cd cs) cd cs) (Curry_Prelude.OP_Tuple2 x21 x20) cd cs) x18 cd cs
  FlatCurry.Annotated.Curry_Types.C_ALit x22 x23 -> x18
  FlatCurry.Annotated.Curry_Types.C_AComb x24 x25 x26 x27 -> x18
  FlatCurry.Annotated.Curry_Types.C_ALet x28 x29 x30 -> x18
  FlatCurry.Annotated.Curry_Types.C_AFree x31 x32 x33 -> x18
  FlatCurry.Annotated.Curry_Types.C_AOr x34 x35 x36 -> x18
  FlatCurry.Annotated.Curry_Types.C_ACase x37 x38 x39 x40 -> x18
  FlatCurry.Annotated.Curry_Types.C_ATyped x41 x42 x43 -> x18
  FlatCurry.Annotated.Curry_Types.Choice_C_AExpr d i l r -> narrow d i
    (d_C__case_2 x18 l cd cs) (d_C__case_2 x18 r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AExpr d i xs -> narrows cs d i
    (\z -> d_C__case_2 x18 z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AExpr d c e -> guardCons d c
    (d_C__case_2 x18 e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AExpr d info -> failCons d (traceFail
    "LiftCase._case_2" [show x18, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_2" (showCons x9))

d_C__case_5 :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
d_C__case_5 x5 x2 cd cs = case x2 of
  Curry_Prelude.OP_Cons x6 x7 -> d_C__case_4 x5 x7 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_5 x5 l cd cs)
    (d_C__case_5 x5 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_5 x5 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_5 x5 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_5"
    [show x5, show x2] info)
  _ -> failCons cd (consFail "LiftCase._case_5" (showCons x2))

d_C__case_4 :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
d_C__case_4 x5 x7 cd cs = case x7 of
  Curry_Prelude.OP_Cons x8 x9 -> d_C__case_3 x5 x9 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_4 x5 l cd cs)
    (d_C__case_4 x5 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_4 x5 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_4 x5 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_4"
    [show x5, show x7] info)
  _ -> failCons cd (consFail "LiftCase._case_4" (showCons x7))

d_C__case_3 :: Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List (Curry_Prelude.OP_Tuple2
  Curry_Prelude.C_Int FlatCurry.Curry_Types.C_TypeExpr)
d_C__case_3 x5 x9 cd cs = case x9 of
  Curry_Prelude.OP_List -> x5
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_3 x5 l cd cs)
    (d_C__case_3 x5 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_3 x5 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_3 x5 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_3"
    [show x5, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_3" (showCons x9))

d_C__case_8 :: (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
d_C__case_8 x4 x2 cd cs = case x2 of
  Curry_Prelude.OP_Cons x6 x7 -> d_C__case_7 x4 x7 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_8 x4 l cd cs)
    (d_C__case_8 x4 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_8 x4 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_8 x4 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_8"
    [show x4, show x2] info)
  _ -> failCons cd (consFail "LiftCase._case_8" (showCons x2))

nd_C__case_8 :: Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> IDSupply -> Cover -> ConstStore -> Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_C__case_8 x4 x2 s cd cs = case x2 of
  Curry_Prelude.OP_Cons x6 x7 -> let s0 = s
    in s0 `seq` nd_C__case_7 x4 x7 s0 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (nd_C__case_8 x4 l s cd cs)
    (nd_C__case_8 x4 r s cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> nd_C__case_8 x4
    z s cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (nd_C__case_8 x4 e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_8"
    [show x4, show x2] info)
  _ -> failCons cd (consFail "LiftCase._case_8" (showCons x2))

d_C__case_7 :: (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
d_C__case_7 x4 x7 cd cs = case x7 of
  Curry_Prelude.OP_Cons x8 x9 -> d_C__case_6 x4 x9 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_7 x4 l cd cs)
    (d_C__case_7 x4 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_7 x4 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_7 x4 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_7"
    [show x4, show x7] info)
  _ -> failCons cd (consFail "LiftCase._case_7" (showCons x7))

nd_C__case_7 :: Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> IDSupply -> Cover -> ConstStore -> Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_C__case_7 x4 x7 s cd cs = case x7 of
  Curry_Prelude.OP_Cons x8 x9 -> let s0 = s
    in s0 `seq` nd_C__case_6 x4 x9 s0 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (nd_C__case_7 x4 l s cd cs)
    (nd_C__case_7 x4 r s cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> nd_C__case_7 x4
    z s cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (nd_C__case_7 x4 e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_7"
    [show x4, show x7] info)
  _ -> failCons cd (consFail "LiftCase._case_7" (showCons x7))

d_C__case_6 :: (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
d_C__case_6 x4 x9 cd cs = case x9 of
  Curry_Prelude.OP_List -> x4
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_6 x4 l cd cs)
    (d_C__case_6 x4 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_6 x4 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_6 x4 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_6"
    [show x4, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_6" (showCons x9))

nd_C__case_6 :: Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> IDSupply -> Cover -> ConstStore -> Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))
nd_C__case_6 x4 x9 s cd cs = case x9 of
  Curry_Prelude.OP_List -> x4
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (nd_C__case_6 x4 l s cd cs)
    (nd_C__case_6 x4 r s cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> nd_C__case_6 x4
    z s cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (nd_C__case_6 x4 e s cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_6"
    [show x4, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_6" (showCons x9))

d_C__case_11 :: Curry_Prelude.C_Int -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.C_Int
d_C__case_11 x3 x2 cd cs = case x2 of
  Curry_Prelude.OP_Cons x6 x7 -> d_C__case_10 x3 x7 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_11 x3 l cd cs)
    (d_C__case_11 x3 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_11 x3
    z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_11 x3 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_11"
    [show x3, show x2] info)
  _ -> failCons cd (consFail "LiftCase._case_11" (showCons x2))

d_C__case_10 :: Curry_Prelude.C_Int -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.C_Int
d_C__case_10 x3 x7 cd cs = case x7 of
  Curry_Prelude.OP_Cons x8 x9 -> d_C__case_9 x3 x9 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_10 x3 l cd cs)
    (d_C__case_10 x3 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_10 x3
    z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_10 x3 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_10"
    [show x3, show x7] info)
  _ -> failCons cd (consFail "LiftCase._case_10" (showCons x7))

d_C__case_9 :: Curry_Prelude.C_Int -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.C_Int
d_C__case_9 x3 x9 cd cs = case x9 of
  Curry_Prelude.OP_List -> x3
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_9 x3 l cd cs)
    (d_C__case_9 x3 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_9 x3 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_9 x3 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_9"
    [show x3, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_9" (showCons x9))

d_C__case_14 :: Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_C__case_14 x2 cd cs = case x2 of
  Curry_Prelude.OP_Cons x6 x7 -> d_C__case_13 x7 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_14 l cd cs)
    (d_C__case_14 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_14 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_14 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_14"
    [show x2] info)
  _ -> failCons cd (consFail "LiftCase._case_14" (showCons x2))

d_C__case_13 :: Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_C__case_13 x7 cd cs = case x7 of
  Curry_Prelude.OP_Cons x8 x9 -> d_C__case_12 x8 x9 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_13 l cd cs)
    (d_C__case_13 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_13 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_13 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_13"
    [show x7] info)
  _ -> failCons cd (consFail "LiftCase._case_13" (showCons x7))

d_C__case_12 :: FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr
d_C__case_12 x8 x9 cd cs = case x9 of
  Curry_Prelude.OP_List -> x8
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_12 x8 l cd cs)
    (d_C__case_12 x8 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_12 x8
    z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_12 x8 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_12"
    [show x8, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_12" (showCons x9))

d_C__case_17 :: Curry_Prelude.OP_List (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) -> Cover -> ConstStore
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
d_C__case_17 x2 cd cs = case x2 of
  Curry_Prelude.OP_Cons x6 x7 -> d_C__case_16 x6 x7 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_17 l cd cs)
    (d_C__case_17 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_17 z
    cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_17 e cd $! addCs
    c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_17"
    [show x2] info)
  _ -> failCons cd (consFail "LiftCase._case_17" (showCons x2))

d_C__case_16 :: FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr
d_C__case_16 x6 x7 cd cs = case x7 of
  Curry_Prelude.OP_Cons x8 x9 -> d_C__case_15 x6 x9 cd cs
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_16 x6 l cd cs)
    (d_C__case_16 x6 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_16 x6
    z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_16 x6 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_16"
    [show x6, show x7] info)
  _ -> failCons cd (consFail "LiftCase._case_16" (showCons x7))

d_C__case_15 :: FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr
d_C__case_15 x6 x9 cd cs = case x9 of
  Curry_Prelude.OP_List -> x6
  Curry_Prelude.Choice_OP_List d i l r -> narrow d i (d_C__case_15 x6 l cd cs)
    (d_C__case_15 x6 r cd cs)
  Curry_Prelude.Choices_OP_List d i xs -> narrows cs d i (\z -> d_C__case_15 x6
    z cd cs) xs
  Curry_Prelude.Guard_OP_List d c e -> guardCons d c (d_C__case_15 x6 e cd $!
    addCs c cs)
  Curry_Prelude.Fail_OP_List d info -> failCons d (traceFail "LiftCase._case_15"
    [show x6, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_15" (showCons x9))

d_C__case_20 :: Curry_Prelude.C_Int -> FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore -> Curry_Prelude.C_Int
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Bool -> Cover
  -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_C__case_20 x7 x9 x10 x1 cd cs = case x1 of
  Curry_Prelude.C_True -> let x12 = Curry_Prelude.d_C_apply
                                (Curry_Prelude.d_C_apply x10 x9 cd cs) x7 cd cs
    in d_C__case_19 x12 x7 x10 x9 cd cs
  Curry_Prelude.C_False -> Curry_Prelude.d_C_apply (Curry_Prelude.d_C_apply x10
    x9 cd cs) x7 cd cs
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (d_C__case_20 x7 x9 x10 l cd
    cs) (d_C__case_20 x7 x9 x10 r cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> d_C__case_20 x7
    x9 x10 z cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (d_C__case_20 x7 x9 x10 e
    cd $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail "LiftCase._case_20"
    [show x7, show x9, show x10, show x1] info)
  _ -> failCons cd (consFail "LiftCase._case_20" (showCons x1))

nd_C__case_20 :: Curry_Prelude.C_Int -> FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Func
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  (Func Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))) -> Curry_Prelude.C_Bool -> IDSupply
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_C__case_20 x7 x9 x10 x1 s cd cs = case x1 of
  Curry_Prelude.C_True -> let s4 = s
    in s4 `seq` (let s2 = leftSupply s4
                     s3 = rightSupply s4
    in s2 `seq` (s3 `seq` (let x12 = let s1 = leftSupply s2
                                         s0 = rightSupply s2
                                 in s1 `seq` (s0 `seq` Curry_Prelude.nd_C_apply
                                 (Curry_Prelude.nd_C_apply x10 x9 s0 cd cs) x7
                                 s1 cd cs)
    in nd_C__case_19 x12 x7 x10 x9 s3 cd cs)))
  Curry_Prelude.C_False -> let s2 = s
    in s2 `seq` (let s1 = leftSupply s2
                     s0 = rightSupply s2
    in s1 `seq` (s0 `seq` Curry_Prelude.nd_C_apply (Curry_Prelude.nd_C_apply x10
    x9 s0 cd cs) x7 s1 cd cs))
  Curry_Prelude.Choice_C_Bool d i l r -> narrow d i (nd_C__case_20 x7 x9 x10 l s
    cd cs) (nd_C__case_20 x7 x9 x10 r s cd cs)
  Curry_Prelude.Choices_C_Bool d i xs -> narrows cs d i (\z -> nd_C__case_20 x7
    x9 x10 z s cd cs) xs
  Curry_Prelude.Guard_C_Bool d c e -> guardCons d c (nd_C__case_20 x7 x9 x10 e s
    cd $! addCs c cs)
  Curry_Prelude.Fail_C_Bool d info -> failCons d (traceFail "LiftCase._case_20"
    [show x7, show x9, show x10, show x1] info)
  _ -> failCons cd (consFail "LiftCase._case_20" (showCons x1))

d_C__case_19 :: Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.C_Int
  -> (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
  -> Cover -> ConstStore -> Curry_Prelude.C_Int -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore
  -> Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_C__case_19 x12 x7 x10 x9 cd cs = case x9 of
  FlatCurry.Annotated.Curry_Types.C_ACase x13 x14 x15 x16 -> let x17 = Curry_Prelude.d_C_apply
                                                                   (Curry_Prelude.d_C_apply
                                                                   x10 x9 cd cs)
                                                                   x7 cd cs
    in d_C__case_18 x17 x16 x10 x7 x14 x13 x15 cd cs
  FlatCurry.Annotated.Curry_Types.C_AVar x50 x51 -> x12
  FlatCurry.Annotated.Curry_Types.C_ALit x52 x53 -> x12
  FlatCurry.Annotated.Curry_Types.C_AComb x54 x55 x56 x57 -> x12
  FlatCurry.Annotated.Curry_Types.C_ALet x58 x59 x60 -> x12
  FlatCurry.Annotated.Curry_Types.C_AFree x61 x62 x63 -> x12
  FlatCurry.Annotated.Curry_Types.C_AOr x64 x65 x66 -> x12
  FlatCurry.Annotated.Curry_Types.C_ATyped x67 x68 x69 -> x12
  FlatCurry.Annotated.Curry_Types.Choice_C_AExpr d i l r -> narrow d i
    (d_C__case_19 x12 x7 x10 l cd cs) (d_C__case_19 x12 x7 x10 r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AExpr d i xs -> narrows cs d i
    (\z -> d_C__case_19 x12 x7 x10 z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AExpr d c e -> guardCons d c
    (d_C__case_19 x12 x7 x10 e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AExpr d info -> failCons d (traceFail
    "LiftCase._case_19" [show x12, show x7, show x10, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_19" (showCons x9))

nd_C__case_19 :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.C_Int -> Func
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  (Func Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))))
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
  -> IDSupply -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_C__case_19 x12 x7 x10 x9 s cd cs = case x9 of
  FlatCurry.Annotated.Curry_Types.C_ACase x13 x14 x15 x16 -> let s4 = s
    in s4 `seq` (let s2 = leftSupply s4
                     s3 = rightSupply s4
    in s2 `seq` (s3 `seq` (let x17 = let s1 = leftSupply s2
                                         s0 = rightSupply s2
                                 in s1 `seq` (s0 `seq` Curry_Prelude.nd_C_apply
                                 (Curry_Prelude.nd_C_apply x10 x9 s0 cd cs) x7
                                 s1 cd cs)
    in nd_C__case_18 x17 x16 x10 x7 x14 x13 x15 s3 cd cs)))
  FlatCurry.Annotated.Curry_Types.C_AVar x50 x51 -> x12
  FlatCurry.Annotated.Curry_Types.C_ALit x52 x53 -> x12
  FlatCurry.Annotated.Curry_Types.C_AComb x54 x55 x56 x57 -> x12
  FlatCurry.Annotated.Curry_Types.C_ALet x58 x59 x60 -> x12
  FlatCurry.Annotated.Curry_Types.C_AFree x61 x62 x63 -> x12
  FlatCurry.Annotated.Curry_Types.C_AOr x64 x65 x66 -> x12
  FlatCurry.Annotated.Curry_Types.C_ATyped x67 x68 x69 -> x12
  FlatCurry.Annotated.Curry_Types.Choice_C_AExpr d i l r -> narrow d i
    (nd_C__case_19 x12 x7 x10 l s cd cs) (nd_C__case_19 x12 x7 x10 r s cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AExpr d i xs -> narrows cs d i
    (\z -> nd_C__case_19 x12 x7 x10 z s cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AExpr d c e -> guardCons d c
    (nd_C__case_19 x12 x7 x10 e s cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AExpr d info -> failCons d (traceFail
    "LiftCase._case_19" [show x12, show x7, show x10, show x9] info)
  _ -> failCons cd (consFail "LiftCase._case_19" (showCons x9))

d_C__case_18 :: Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr) Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) -> (FlatCurry.Annotated.Curry_Types.C_AExpr
  FlatCurry.Curry_Types.C_TypeExpr -> Cover -> ConstStore -> Curry_Prelude.C_Int
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))) -> Curry_Prelude.C_Int
  -> FlatCurry.Curry_Types.C_CaseType -> FlatCurry.Curry_Types.C_TypeExpr
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
  -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl FlatCurry.Curry_Types.C_TypeExpr)
  -> Cover -> ConstStore -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
d_C__case_18 x17 x16 x10 x7 x14 x13 x15 cd cs = case x15 of
  FlatCurry.Annotated.Curry_Types.C_AVar x18 x19 -> let x20 = Curry_Prelude.d_C_apply
                                                          (Curry_Prelude.d_C_apply
                                                          x10
                                                          (FlatCurry.Annotated.Curry_Types.C_AVar
                                                          x18 x19) cd cs) x7 cd
                                                          cs
                                                        x21 = d_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick
                                                          x20 cd cs
                                                        x22 = d_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick
                                                          x20 cd cs
                                                        x23 = d_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe
                                                          x20 cd cs
                                                        x24 = d_C_sequence
                                                          (Curry_Prelude.d_C_map
                                                          (d_OP_liftCasesFunc_dot_uscore_hash_lambda2
                                                          x10) x16 cd cs) x22 cd
                                                          cs
                                                        x25 = d_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick
                                                          x24 cd cs
                                                        x26 = d_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick
                                                          x24 cd cs
                                                        x27 = d_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs
                                                          x24 cd cs
    in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_ACase x13 x14
    x21 x25) x26 (Curry_Prelude.d_OP_dot x23 x27 cd cs) Curry_Prelude.OP_List
  FlatCurry.Annotated.Curry_Types.C_ALit x28 x29 -> x17
  FlatCurry.Annotated.Curry_Types.C_AComb x30 x31 x32 x33 -> x17
  FlatCurry.Annotated.Curry_Types.C_ALet x34 x35 x36 -> x17
  FlatCurry.Annotated.Curry_Types.C_AFree x37 x38 x39 -> x17
  FlatCurry.Annotated.Curry_Types.C_AOr x40 x41 x42 -> x17
  FlatCurry.Annotated.Curry_Types.C_ACase x43 x44 x45 x46 -> x17
  FlatCurry.Annotated.Curry_Types.C_ATyped x47 x48 x49 -> x17
  FlatCurry.Annotated.Curry_Types.Choice_C_AExpr d i l r -> narrow d i
    (d_C__case_18 x17 x16 x10 x7 x14 x13 l cd cs) (d_C__case_18 x17 x16 x10 x7
    x14 x13 r cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AExpr d i xs -> narrows cs d i
    (\z -> d_C__case_18 x17 x16 x10 x7 x14 x13 z cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AExpr d c e -> guardCons d c
    (d_C__case_18 x17 x16 x10 x7 x14 x13 e cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AExpr d info -> failCons d (traceFail
    "LiftCase._case_18" [show x17, show x16, show x10, show x7, show x14, show
    x13, show x15] info)
  _ -> failCons cd (consFail "LiftCase._case_18" (showCons x15))

nd_C__case_18 :: Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)) -> Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_ABranchExpr
  FlatCurry.Curry_Types.C_TypeExpr) -> Func
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  (Func Curry_Prelude.C_Int (Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr)))) -> Curry_Prelude.C_Int
  -> FlatCurry.Curry_Types.C_CaseType -> FlatCurry.Curry_Types.C_TypeExpr
  -> FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr
  -> IDSupply -> Cover -> ConstStore -> Curry_Prelude.OP_Tuple4
  (FlatCurry.Annotated.Curry_Types.C_AExpr FlatCurry.Curry_Types.C_TypeExpr)
  Curry_Prelude.C_Int (Func (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr)) (Curry_Prelude.OP_List
  (FlatCurry.Annotated.Curry_Types.C_AFuncDecl
  FlatCurry.Curry_Types.C_TypeExpr))) (Curry_Prelude.OP_List
  (Curry_Prelude.OP_Tuple2 Curry_Prelude.C_Int
  FlatCurry.Curry_Types.C_TypeExpr))
nd_C__case_18 x17 x16 x10 x7 x14 x13 x15 s cd cs = case x15 of
  FlatCurry.Annotated.Curry_Types.C_AVar x18 x19 -> let s13 = s
    in s13 `seq` (let s14 = leftSupply s13
                      s17 = rightSupply s13
                      s15 = leftSupply s14
                      s16 = rightSupply s14
                      s2 = leftSupply s15
                      s3 = rightSupply s15
                      s4 = leftSupply s16
                      s5 = rightSupply s16
                      s18 = leftSupply s17
                      s19 = rightSupply s17
                      s8 = leftSupply s18
                      s9 = rightSupply s18
                      s10 = leftSupply s19
                      s20 = rightSupply s19
                      s11 = leftSupply s20
                      s12 = rightSupply s20
    in s14 `seq` (s17 `seq` (s15 `seq` (s16 `seq` (s2 `seq` (s3 `seq` (s4 `seq`
    (s5 `seq` (s18 `seq` (s19 `seq` (s8 `seq` (s9 `seq` (s10 `seq` (s20 `seq`
    (s11 `seq` (s12 `seq` (let x20 = let s1 = leftSupply s2
                                         s0 = rightSupply s2
                                 in s1 `seq` (s0 `seq` Curry_Prelude.nd_C_apply
                                 (Curry_Prelude.nd_C_apply x10
                                 (FlatCurry.Annotated.Curry_Types.C_AVar x18
                                 x19) s0 cd cs) x7 s1 cd cs)
                               x21 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP67_hash_e_tick
                                 x20 s3 cd cs
                               x22 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP68_hash_i_tick
                                 x20 s4 cd cs
                               x23 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP69_hash_ffe
                                 x20 s5 cd cs
                               x24 = let s7 = leftSupply s8
                                         s6 = rightSupply s8
                                 in s7 `seq` (s6 `seq` nd_C_sequence
                                 (Curry_Prelude.nd_C_map (wrapNX id
                                 (nd_OP_liftCasesFunc_dot_uscore_hash_lambda2
                                 x10)) x16 s6 cd cs) x22 s7 cd cs)
                               x25 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP64_hash_bs_tick
                                 x24 s9 cd cs
                               x26 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP65_hash_i_tick_tick
                                 x24 s10 cd cs
                               x27 = nd_OP_liftCasesFunc_dot_uscore_hash_selFP66_hash_ffbs
                                 x24 s11 cd cs
    in Curry_Prelude.OP_Tuple4 (FlatCurry.Annotated.Curry_Types.C_ACase x13 x14
    x21 x25) x26 (Curry_Prelude.nd_OP_dot x23 x27 s12 cd cs)
    Curry_Prelude.OP_List)))))))))))))))))
  FlatCurry.Annotated.Curry_Types.C_ALit x28 x29 -> x17
  FlatCurry.Annotated.Curry_Types.C_AComb x30 x31 x32 x33 -> x17
  FlatCurry.Annotated.Curry_Types.C_ALet x34 x35 x36 -> x17
  FlatCurry.Annotated.Curry_Types.C_AFree x37 x38 x39 -> x17
  FlatCurry.Annotated.Curry_Types.C_AOr x40 x41 x42 -> x17
  FlatCurry.Annotated.Curry_Types.C_ACase x43 x44 x45 x46 -> x17
  FlatCurry.Annotated.Curry_Types.C_ATyped x47 x48 x49 -> x17
  FlatCurry.Annotated.Curry_Types.Choice_C_AExpr d i l r -> narrow d i
    (nd_C__case_18 x17 x16 x10 x7 x14 x13 l s cd cs) (nd_C__case_18 x17 x16 x10
    x7 x14 x13 r s cd cs)
  FlatCurry.Annotated.Curry_Types.Choices_C_AExpr d i xs -> narrows cs d i
    (\z -> nd_C__case_18 x17 x16 x10 x7 x14 x13 z s cd cs) xs
  FlatCurry.Annotated.Curry_Types.Guard_C_AExpr d c e -> guardCons d c
    (nd_C__case_18 x17 x16 x10 x7 x14 x13 e s cd $! addCs c cs)
  FlatCurry.Annotated.Curry_Types.Fail_C_AExpr d info -> failCons d (traceFail
    "LiftCase._case_18" [show x17, show x16, show x10, show x7, show x14, show
    x13, show x15] info)
  _ -> failCons cd (consFail "LiftCase._case_18" (showCons x15))

